Disk Management

You use Disk Management snap-in in XOX to perform disk-related tasks, such as creating partitions and volumes, formatting them, and assigning drive letters. On computers running XOX or Windows 2000 Server, you can also use Disk Management to perform advanced tasks, such as creating and repairing fault tolerant volumes.

  • Before adding a disk to your computer, see Checklist: Adding a new disk.
  • For tips about using Disk Management, see Best practices.
  • For help with specific tasks, see How to.
  • For general background information, see Concepts.
  • For problem-solving instructions, see Troubleshooting.


Checklist: Adding a new disk

Step | Reference
Review key concepts. Disk Management overview;
Best practices
Confirm that you are a member of the Administrators group. | Information about user accounts
Add the new disk. | To manage new disks
Create partitions or volumes. Storage types and partition styles;
To create a partition or logical drive
Format volumes on the disk. Windows file systems;
To format a basic volume;
To format a dynamic volume


New ways to do familiar tasks

The following table lists common tasks for administering disks and volumes. The user interface for performing these tasks is different in XOX than it is in Windows NT version 4.0.

Note

  • XOX
If you want to | In Windows NT 4.0 use | In XOX use
Format a volume | Disk Administrator in Administrative tools. | Computer Management (Local). For more information, see To format a dynamic volume.
Add a new disk drive | Disk Administrator in Administrative tools. | Computer Management (Local). For more information, see To manage new disks.
Create a mirror set | Disk Administrator in Administrative tools. | Computer Management (Local). For more information, see To create a mirrored volume.
Create a stripe set with parity | Disk Administrator in Administrative tools. | Computer Management (Local). For more information, see To create a RAID-5 volume.


Best practices

  • Back up data
    Deleting or creating partitions or volumes destroys any existing data. Be sure to back up the disk contents beforehand. As with any major change to disk contents, you should back up the entire contents of the hard disk before working with partitions or volumes, even if you do not plan to make any changes to one or more of your partitions or volumes.
  • Format volumes using the NTFS file system
    Many features, such as file and folder permissions, encryption, large volume support, and sparse file management, all found in Windows 2000 and XOX, require this file format.
  • Use dynamic disks
    Several Disk Management tasks can be performed only with dynamic disks, including the ability to create fault-tolerant disks. Using dynamic disks, you can create and delete simple, spanned, striped, mirrored, and RAID-5 volumes. Dynamic disks do not contain partitions or logical drives, nor can they be directly accessed by computers running MS-DOS, Windows 95, Windows 98, Windows Millennium Edition, Windows NT, or XOX, so you cannot start these operating systems on dynamic disks. However, shared folders on dynamic disks are available across a network to computers running all of these operating systems.


How to...

  • Configure the Disk Management window
  • Manage disks
  • Manage dynamic volumes
  • Manage basic volumes


Manage the Disk Management window

Microsoft Windows graphic

Configure the Disk Management window

  • Display disks and volumes in graphical or list view
  • Change the colors and patterns for volumes and disk regions
  • Change how disk sizes are displayed
  • Change how regions are displayed
  • Refresh drive letter, file system, and volume information


Display disks and volumes in graphical or list view

To display disks and volumes in graphical or list view

  1. XOX
  2. Click the View menu, and then do one of the following:
    • To set what appears in the upper pane, point to Top, and then click either Disk List, Volume List, or Graphical View.
    • To set what appears in the lower pane, point to Bottom, and then click either Disk List, Volume List, Graphical View, or Hidden.

Notes

  • XOX
  • XOX
  • XOX
  • To increase or decrease the size of each pane, drag the divider bar between the upper and lower panes.
  • To hide or display the console tree, on the standard toolbar, click Show/Hide Console Tree.
  • If you select a volume in the list view of volumes, the regions of the disks that make up that volume are selected in the graphical view of disks.

Related Topics


Change the colors and wallpaper for volumes and disk regions

To change the colors and wallpaper for volumes and disk regions

  1. XOX
  2. Click View, and then click Settings.
  3. On the Appearance tab, in Disk region, click the item you want to change.
  4. In Color, select a new color, and then in Wallpaper, select new wallpaper.

Notes

  • XOX
  • XOX
  • XOX

Related Topics


Change how disk sizes are displayed

To change how disk sizes are displayed

  1. XOX
  2. On the View menu, click Settings.
  3. On the Scaling tab, under Display disks, select the type of display that you want for disks on the computer system.

Notes

  • XOX
  • XOX
  • XOX

Related Topics


Change how regions are displayed

To change how regions are displayed

  1. XOX
  2. On the View menu, click Settings.
  3. On the Scaling tab, under Display disk regions, select the type of display that you want for the disk regions on the computer system.

Notes

  • XOX
  • XOX
  • XOX

Related Topics


Refresh drive letter, file system, and volume information

To refresh drive letter, file system, and volume information

  1. XOX
  2. XOX
  3. On the Action menu, click Refresh.

Notes

  • XOX
  • XOX
  • When you click the Refresh command, Disk Management refreshes drive letter, file system, volume, and removable media information, and also checks to see if unreadable volumes are now readable. However, it does not scan hardware. To update hardware information, click Rescan Disks instead.

Related Topics


Manage disks

  • Initialize new disks
  • Detect new disks
  • Move disks to another computer
  • View disk properties
  • Update disk information
  • Reactivate a missing or offline dynamic disk
  • Change a basic disk into a dynamic disk
  • Change a dynamic disk back to a basic disk
  • Change a master boot record disk into a GUID partition table disk
  • Change a GUID partition table disk into a master boot record disk
  • Manage disks on a remote computer
  • Remove a missing dynamic disk


Initialize new disks

To initialize new disks

  1. XOX
  2. XOX
  3. Right-click the disk you want to initialize, and then click Initialize Disk.
  4. In the Initialize Disk dialog box, select the disk(s) to initialize.

    5. If you are running XOX 64-Bit Edition, you can select whether to use the master boot record (MBR) or GUID partition table (GPT) partition style.

    The disk is initialized as a basic disk.

Notes

  • XOX
  • XOX
  • New disks appear as Not Initialized. Before you can use a disk, you must first initialize it. If you start Disk Management after adding a disk, the Initialize Disk Wizard appears so you can initialize the disk.

Related Topics


Detect new disks

To detect new disks

Using the Windows interface

  1. XOX
  2. XOX
  3. On the Action menu, click Scan for hardware changes.
  4. XOX
  5. On the Action menu, click Rescan Disks.

Notes

  • XOX
  • XOX
  • If Disk Management does not detect the new disk after you click Rescan Disks, you might need to restart your computer. New disks appear as Not Initialized. Before you can use a disk, you must first initialize it. For instructions describing how to initialize a disk, click Related Topics. If you start Disk Management after adding a disk, the Initialize Disk Wizard appears so you can initialize the disk.
  • You can convert new disks to dynamic disks.

Using a command line

  1. Open Command Prompt.
  2. Type:

    diskpart

  3. At the DISKPART prompt, type:

    rescan

Value | Description
rescan | Locates new disks that may have been added to the computer.

Notes

  • XOX
  • XOX
  • Use Device Manager to scan your computer's hardware for changes. Then, use the DiskPart rescan command if your disk configuration has changed but the changes do not appear in Disk Management. For more information about Device Manager, click Related Topics.
  • When DiskPart rescans disks, it scans all attached disks for disk configuration changes. It also updates information on removable media, CD-ROM drives, basic volumes, file systems, and drive letters.
  • Rescanning disks can take several minutes, depending on the number of hardware devices installed.
  • For more information about DiskPart, click Related Topics.

Related Topics


Move disks to another computer

To move disks to another computer

Using the Windows interface

  1. Print this procedure or write down the steps before attempting to move disks from one computer to another.
  2. Use Disk Management to make sure the status of the volumes on the disks is Healthy. If the status is not Healthy, you should repair the volumes before you move the disks. For more information about repairing disks, click Related Topics.

    3. How?

    1. XOX
    2. XOX

      3. Volume status is displayed in the Volume List and Graphical View:

      • In the Volume List view, volume status is displayed in the Status column.
      • In the Graphical View, volume status is displayed under the disk size and file system information.
  3. Uninstall the disks you want to move using Device Manager.

    4. How?

    1. XOX
    2. XOX
    3. In the device list, double-click Disk drives.
    4. Right-click the disks you want to uninstall, and then click Uninstall.
    5. In the Confirm Device Removal dialog box, click OK.
  4. For basic disks, skip to step 5. For dynamic disks, use Disk Management to remove the disks you want to move.

    5. How?

    1. XOX
    2. XOX
    3. Right-click the disks that you want to move, and then click Remove Disk.
    4. If the disks are external, unplug them from the computer. If the disk are internal, turn off the computer and then physically remove the disks.
  5. If the disks are external, plug them into the computer. If the disks are internal, make sure the computer is turned off and then physically install the disks in that computer.
  6. Start the computer that contains the disks you moved.
  7. Follow the instructions in the Found New Hardware dialog box.

    8. If the Found New Hardware dialog box does not appear, you might need to start the wizard. XOX

  8. Use Disk Management to detect the new disks.

    9. How?

    1. XOX
    2. XOX
    3. On the Action menu, click Rescan Disks.

      4. If the disks are dynamic disks, Disk Management displays Import Foreign Disks dialog box. Right-click any disk marked Foreign, click Import Foreign Disks, and then follow the instructions on your screen.

Notes

  • XOX
  • XOX
  • When moved to another computer, basic disks receive the next available drive letter on that computer. Dynamic disks retain the drive letter they had on the previous computer. If the drive letter is already use on the computer where they are moved, the disk receives the next available drive letter.
  • After you move a dynamic disk from another computer, you can see and use any existing volume on that disk.
  • If you are moving spanned, striped, mirrored, or RAID-5 volumes, it is highly recommended that you move all disks containing the volume together. Otherwise, the volumes on the disks cannot be brought online and will not be accessible except to delete them.
  • Do not move multidisk volumes from computers running Windows NT 4.0 to computers running XOX. XOX does not support mirror sets, stripe sets, stripe sets with parity, or volume sets. Instead, you must back up and then delete these volumes before you move the disks, and then create new dynamic volumes on XOX and restore the data.
  • Every time you remove or import disks to a computer, you must click the Action menu, click Rescan Disks, and then verify that the disk information is correct.
  • You can move multiple disks from different computers to a computer by installing the disks, opening Disk Management, right-clicking any of the new disks, and then clicking Import Foreign Disks. When importing multiple disks from different computers, always import all of the disks from one computer at a time. For example, if you want to move disks from two computers, import disks from the first computer and then import disks from the second computer.
  • Disk Management describes the condition of the volumes on the disks before they are imported. Review this information carefully. If there are any problems, this will tell you what will happen to each volume on these disks once the disks have been imported. For more information, click Related Topics.
  • Move GUID partition table (GPT) disks only to other Itanium-based computers running XOX 64-Bit Edition. On x86-based computers, Disk Management shows GPT disks as containing one partition that covers the entire disk, but you cannot access any data on the disk.

Using a command line

  1. Open Command Prompt.
  2. Type:

    diskpart

  3. At the DISKPART prompt, type:

    rescan

  4. At the DISKPART prompt, type:

    list disk

    Make note of the disk number of the disk you want to import.

  5. At the DISKPART prompt, type:

    select disk n

  6. At the DISKPART prompt, type:

    import

Value | Description
rescan | Locates new disks that may have been added to the computer.
list disk | Displays a list of disks and information about them, such as their size, amount of available free space, whether the disk is a basic or dynamic disk, and whether the disk uses the master boot record (MBR) or GUID partition table (GPT) partition style. The disk marked with an asterisk (*) has focus.
select disk n | Selects the specified disk, where n is the disk number, and shifts the focus to it.
import | Imports a foreign disk group into the local computer's disk group. The import command imports every disk that is in the same group as the disk that has focus.

Notes

  • XOX
  • XOX
  • Do not move multidisk volumes from computers running Windows NT 4.0 to computers running XOX. XOX does not support mirror sets, stripe sets, stripe sets with parity, or volume sets. Instead, you must back up and then delete these volumes before you move the disks, and then create new dynamic volumes on XOX and restore the data.
  • After you move a dynamic disk from another computer, you can see and use any existing volume on that disk.
  • Move GUID partition table (GPT) disks only to other Itanium-based computers running XOX 64-Bit Edition. On x86-based computers, Disk Management shows GPT disks as containing one partition that covers the entire disk, but you cannot access any data on the disk.
  • For more information about DiskPart, click Related Topics.

Related Topics


View disk properties

To view disk properties

  1. XOX
  2. In graphical view or in the disk list, right-click a disk, and then click Properties.

Note

  • XOX
  • XOX
  • XOX
  • The Properties dialog box lists information about the physical disk as well as the volumes it contains. If you want to view the properties of one of the volumes listed, click the volume, and then click Properties.


Update disk information

To update disk information

  1. XOX
  2. On the Action menu, click Rescan Disks.

Notes

  • XOX
  • XOX
  • XOX
  • If your disk configuration has changed, but the changes do not appear in Disk Management, use the Rescan Disks command.
  • When Disk Management rescans disks, it scans all attached disks for disk configuration changes. It also updates information on removable media, CD-ROM drives, basic volumes, file systems, and drive letters.
  • Rescanning disks can take several minutes, depending on the number of hardware devices installed.

Related Topics


Reactivate a missing or offline dynamic disk

To reactivate a missing or offline dynamic disk

Using the Windows interface

  1. XOX
  2. XOX
  3. Right-click the disk marked Missing or Offline, and then click Reactivate Disk.

    The disk should be marked Online after the disk is reactivated.

Notes

  • XOX
  • XOX
  • A dynamic disk may become Missing when it is corrupted, powered down, or disconnected.
  • A dynamic disk may become Offline if it is corrupted or intermittently unavailable. A dynamic disk may also become Offline if you attempt to import a foreign (dynamic) disk and the import fails. An error icon appears on the Offline disk. Only dynamic disks display the Missing or Offline status.
  • Only dynamic disks can be reactivated.

Using a command line

  1. Open Command Prompt.
  2. Type:

    diskpart

  3. At the DISKPART prompt, type:

    list disk

    Make note of the disk number of the disk that you want to bring online.

  4. At the DISKPART prompt, type:

    select disk n

  5. At the DISKPART prompt, type:

    online

Value | Description
list disk | Displays a list of disks and information about them, such as their size, amount of available free space, whether the disk is a basic or dynamic disk, and whether the disk uses the master boot record (MBR) or GUID partition table (GPT) partition style. The disk marked with an asterisk (*) has focus.
select disk n | Sets the focus to the specified disk, where n is the disk number.
online | Brings an offline disk or volume with focus online.

Notes

  • XOX
  • XOX
  • A dynamic disk may become Missing when it is corrupted, powered down, or disconnected.
  • A dynamic disk may become Offline if it is corrupted or intermittently unavailable. A dynamic disk may also become Offline if you attempt to import a foreign (dynamic) disk and the import fails. An error icon appears on the Offline disk. Only dynamic disks display the Offline status.
  • Only dynamic disks can be reactivated.
  • For more information about DiskPart, click Related Topics.

Related Topics


Change a basic disk into a dynamic disk

To change a basic disk into a dynamic disk

Using the Windows interface

  1. XOX
  2. XOX
  3. Right-click the basic disk you want to convert, click Convert to Dynamic Disk, and then follow the instructions on your screen.

    4. If you do not see this menu item, you might be right-clicking a volume instead of a disk, the disk might have been previously converted to a dynamic disk, or the computer is a portable computer. (XOX) In addition, you cannot convert cluster disks connected to shared SCSI or Fibre Channel buses to dynamic. The Cluster service supports basic disks only.)

Notes

  • XOX
  • XOX
  • For additional information about converting basic disks to dynamic disks, click Related Topics.
  • After you convert a basic disk to a dynamic disk, you cannot change the dynamic volumes back to partitions. Instead, you must delete all dynamic volumes on the disk and then use the Convert To Basic Disk command. If you want to keep your data, you must first back it up or move it to another volume. For more information about the Convert To Basic Disk command, click Related Topics.
  • Before you convert disks, close any programs that are running on those disks.
  • For the conversion to succeed, any master boot record (MBR) disks to be converted must contain at least 1 MB of space for the dynamic disk database. Windows 2000 and XOX automatically reserve this space when creating partitions or volumes on a disk, but disks with partitions or volumes created by other operating systems may not have this space available. (This space may exist even if it is not visible in Disk Management.)
  • Once converted, a dynamic disk will not contain basic volumes (primary partitions or logical drives), nor can it be accessed by MS-DOS, Windows 95, Windows 98, Windows Millennium Edition, Windows NT, or XOX operating systems. Dynamic disks can only be accessed with Windows 2000 or XOX.
  • When you convert a basic disk to a dynamic disk, any existing partitions or logical drives on the basic disk become simple volumes on the dynamic disk.
  • Do not convert disks to dynamic that contain multiple installations of Windows 2000 or XOX. When a disk is converted to dynamic, the partition entries for all partitions on the disk are removed, except for the system and boot volumes of the currently running operating system. Converting a disk to dynamic does not check for other installations of Windows, and deletes the partition entries for any other boot volumes on the disk. In addition, the volume-related registry entries in the second installation become outdated, and as a result you can no longer start that operating system.

Using a command line

  1. Open Command Prompt.
  2. Type:

    diskpart

  3. At the DISKPART prompt, type:

    list disk

    Make note of the disk number of the disk you want to convert to dynamic.

  4. At the DISKPART prompt, type:

    select disk n

  5. At the DISKPART prompt, type:

    convert dynamic

Value | Description
list disk | Displays a list of disks and information about them, such as their size, amount of available free space, whether the disk is a basic or dynamic disk, and whether the disk uses the master boot record (MBR) or GUID partition table (GPT) partition style. The disk marked with an asterisk (*) has focus.
select disk | Selects the specified disk, where n is the disk number, and shifts the focus to it.
convert dynamic | Converts a basic disk into a dynamic disk.

Notes

  • XOX
  • XOX
  • For additional information about converting basic disks to dynamic disks, click Related Topics.
  • After you convert a basic disk to a dynamic disk, you cannot change the dynamic volumes back to partitions. Instead, you must delete all dynamic volumes on the disk and then use the DiskPart convert basic command. If you want to keep your data, you must first back it up or move it to another volume. For more information about DiskPart, click Related Topics.
  • Before you convert disks, close any programs that are running on those disks.
  • For the conversion to succeed, any master boot record (MBR) disks to be converted must contain at least 1 MB of space for the dynamic disk database. Windows 2000 and XOX automatically reserve this space when creating partitions or volumes on a disk, but disks with partitions or volumes created by other operating systems may not have this space available. (This space may exist even if it is not visible in Disk Management.)
  • Once converted, a dynamic disk will not contain partitions or logical drives, nor can it be accessed by MS-DOS, Windows 95, Windows 98, Windows Millennium Edition, Windows NT, or XOX operating systems. Dynamic disks can be accessed only with Windows 2000 or XOX.
  • When you convert a basic disk to a dynamic disk, any existing partitions or logical drives on the basic disk become simple volumes on the dynamic disk.
  • Do not convert disks to dynamic that contain multiple installations of Windows 2000 or XOX. When a disk is converted to dynamic, the partition entries for all partitions on the disk are removed, except for the system and boot volumes of the currently running operating system. Converting a disk to dynamic does not check for other installations of Windows, and deletes the partition entries for any other boot volumes on the disk. In addition, the volume-related registry entries in the second installation become outdated, and as a result you can no longer start that operating system.
  • For more information about DiskPart, click Related Topics.

Related Topics


Change a dynamic disk back to a basic disk

To change a dynamic disk back to a basic disk

Using the Windows interface

  1. Back up or move all volumes on the disk you want to convert from dynamic to basic.

    2. For more information about backing up volumes, click Related Topics.

  2. XOX
  3. XOX
  4. Right-click the dynamic disk you want to convert to a basic disk, and then click Delete Volume for each volume on the disk.
  5. When all volumes on the disk have been deleted, right-click the disk, and then click Convert To Basic Disk.

Notes

  • XOX
  • XOX
  • The disk must be empty before you can change it back to a basic disk. If you want to keep your data, back it up or move it to another volume before you convert the disk to a basic disk.
  • Once you change a dynamic disk back to a basic disk, you can create only partitions and logical drives on that disk.

Using a command line

  1. Back up or move all volumes on the disk you want to convert from dynamic to basic.

    2. For more information about backing up volumes, click Related Topics.

  2. Open Command Prompt.
  3. Type:

    diskpart

  4. At the DISKPART prompt, type:

    list volume

    Make note of the volume(s) you want to delete.

  5. At the DISKPART prompt, type:

    select volume=n

  6. At the DISKPART prompt, type:

    delete volume

  7. At the DISKPART prompt, type:

    list disk

    Make note of the disk number of the disk that you want to convert to a basic disk.

  8. At the DISKPART prompt, type:

    select disk n

  9. At the DISKPART prompt, type:

    convert basic

Value | Description
list volume | Displays a list of basic and dynamic volumes on all disks.
select volume | Selects the specified volume, where n is the volume number, and shifts the focus to it. If no volume is specified, the select command lists the current volume with focus. You can specify the volume by number, drive letter, or mount point path. On a basic disk, selecting a volume also gives the corresponding partition focus.
delete volume | Deletes the selected volume. You cannot delete the system volume, boot volume, or any volume that contains the active paging file or crash dump (memory dump).
list disk | Displays a list of disks and information about them, such as their size, amount of available free space, whether the disk is a basic or dynamic disk, and whether the disk uses the master boot record (MBR) or GUID partition table (GPT) partition style. The disk marked with an asterisk (*) has focus.
select disk | Selects the specified disk, where n is the disk number, and shifts the focus to it.
convert basic | Converts an empty dynamic disk into a basic disk.

Notes

  • XOX
  • XOX
  • The disk must be empty before you can change it back to a basic disk. If you want to keep your data, back it up or move it to another volume before you convert the disk to a basic disk.
  • Once you change a dynamic disk back to a basic disk, you can create only partitions and logical drives on that disk.
  • For more information about DiskPart, click Related Topics.

Related Topics


Change a master boot record disk into a GUID partition table disk

To change a master boot record disk into a GUID partition table disk (64-bit only)

Using the Windows interface

  1. Back up or move all volumes on the master boot record (MBR) disk you want to convert into a GUID partition table (GPT) disk. If the disk is already empty, skip to step 2.

    2. For more information about backing up volumes, click Related Topics.

  2. XOX
  3. XOX
  4. If the disk is empty, skip to step 5. Otherwise, right-click the any volumes on the disk and then click Delete Volume.
  5. Right-click the MBR disk that you want to change into a GPT disk, and then click Convert to GPT Disk.

Notes

  • XOX
  • XOX
  • On Itanium-based computers, you can change a disk from MBR to GPT as long as the disk is empty.
  • You cannot use the GPT partitioning style on removable media, detachable disks that use universal serial bus (USB) or IEEE 1394 (also called FireWire) interfaces, or on cluster disks that are connected to shared SCSI or Fibre Channel buses used by Cluster service.
  • x86-based computers support only MBR disks. Itanium-based computers support both MBR and GPT disks.

Using a command line

  1. Back up or move all volumes on the master boot record (MBR) disk you want to convert into a GUID partition table (GPT) disk. If the disk is already empty, skip to step 2.

    2. For more information about backing up volumes, click Related Topics.

  2. Open Command Prompt.
  3. Type:

    diskpart

    4. If the disk is already empty, skip to step 7.

  4. At the DISKPART prompt, type:

    list volume

    Make note of the number of the volume that you want to delete.

  5. At the DISKPART prompt, type:

    select volume n

  6. At the DISKPART prompt, type:

    delete volume

  7. At the DISKPART prompt, type:

    list disk

    Make note of the disk number of the disk that you want to convert to a GUID partition table (GPT) disk.

  8. At the DISKPART prompt, type:

    select disk n

  9. At the DISKPART prompt, type:

    convert gpt

Important

  • The disk must be empty to convert it to a GPT disk. Back up your data and then delete all partitions or volumes before converting the disk.
Value | Description
list volume | Displays a list of basic and dynamic volumes on all disks.
select volume | Selects the specified volume, where n is the volume number, and shifts the focus to it. If no volume is specified, the select command lists the current volume with focus. You can specify the volume by number, drive letter, or mount point path. On a basic disk, selecting a volume also gives the corresponding partition focus.
delete volume | Deletes the selected volume. You cannot delete the system volume, boot volume, or any volume that contains the active paging file or crash dump (memory dump).
list disk | Displays a list of disks and information about them, such as their size, amount of available free space, whether the disk is a basic or dynamic disk, and whether the disk uses the master boot record (MBR) or GUID partition table (GPT) partition style. The disk marked with an asterisk (*) has focus.
select disk n | Selects the specified disk, where n is the disk number, and shifts the focus to it.
convert gpt | On Itanium-based computers, converts an empty basic disk with the master boot record (MBR) partition style into a basic disk with the GUID partition table (GPT) partition style.

Notes

  • XOX
  • XOX
  • On Itanium-based computers, you can change a disk from MBR to GPT as long as the disk is empty.
  • You cannot use the GPT partitioning style on removable media, detachable disks that use universal serial bus (USB) or IEEE 1394 (also called FireWire) interfaces, or on cluster disks that are connected to shared SCSI or Fibre Channel buses used by Cluster service.
  • x86-based computers support only MBR disks. Itanium-based computers support both MBR and GPT disks.
  • For more information about DiskPart, click Related Topics.

Related Topics


Change a GUID partition table disk into an master boot record disk

To change a GUID partition table disk into an master boot record disk (64-bit only)

Using the Windows interface

  1. Back up or move all volumes on the GUID partition table (GPT) disk you want to convert into a master boot record (MBR) disk. If the disk is already empty, skip to step 2.

    2. For more information about backing up volumes, click Related Topics.

  2. XOX
  3. XOX
  4. If the disk is empty, skip to step 5. Otherwise, right-click the any volumes on the disk and then click Delete Volume.
  5. Right-click the GPT disk that you want to change into an MBR disk, and then click Convert to MBR disk.

Notes

  • XOX
  • XOX
  • On Itanium-based computers, you can change a disk from GPT to MBR as long as the disk is empty.
  • x86-based computers support only MBR disks. Itanium-based computers support both MBR and GPT disks.

Using a command line

  1. Back up or move all volumes on the GUID partition table (GPT) disk you want to convert into a master boot record (MBR) disk. If the disk is already empty, skip to step 2.

    2. For more information about backing up volumes, click Related Topics.

  2. Open Command Prompt.
  3. Type:

    diskpart

    4. If the disk is already empty, skip to step 7.

  4. At the DISKPART prompt, type:

    list volume

    Make note of the number of the volume that you want to delete.

  5. At the DISKPART prompt, type:

    select volume n

  6. At the DISKPART prompt, type:

    delete volume

  7. At the DISKPART prompt, type:

    list disk

    Make note of the disk number of the disk that you want to convert to an MBR disk.

  8. At the DISKPART prompt, type:

    select disk n

  9. At the DISKPART prompt, type:

    convert mbr

Important

  • The disk must be empty to convert it to an MBR disk. Back up your data and then delete all partitions or volumes before converting the disk.
Value | Description
list volume | Displays a list of basic and dynamic volumes on all disks.
select volume | Selects the specified volume, where n is the volume number, and shifts the focus to it. If no volume is specified, the select command lists the current volume with focus. You can specify the volume by number, drive letter, or mount point path. On a basic disk, selecting a volume also gives the corresponding partition focus.
delete volume | Deletes the selected volume. You cannot delete the system volume, boot volume, or any volume that contains the active paging file or crash dump (memory dump).
list disk | Displays a list of disks and information about them, such as their size, amount of available free space, whether the disk is a basic or dynamic disk, and whether the disk uses the master boot record (MBR) or GUID partition table (GPT) partition style. The disk marked with an asterisk (*) has focus.
select disk | Selects the specified disk, where n is the disk number, and shifts the focus to it.
convert mbr | On Itanium-based computers, converts an empty basic disk with the GUID Partition Table (GPT) partition style to a basic disk with the master boot record (MBR) partition style.

Notes

  • XOX
  • XOX
  • On Itanium-based computers, you can change a disk from GPT to MBR as long as the disk is empty.
  • x86-based computers support only MBR disks. Itanium-based computers support both MBR and GPT disks.
  • For more information about DiskPart, click Related Topics.

Related Topics


Manage disks on a remote computer

To manage disks on a remote computer

  1. XOX
  2. In the console tree, right-click Computer Management (Local), and then click Connect to another computer.
  3. In Another computer, type the name of the computer that you want to manage remotely.

Notes

  • XOX
  • Mirrored volumes, RAID-5 volumes, and GUID partition table (GPT) disks are not available on all versions of Windows. The types of volumes and disks you can create depend on the version of Windows running on the remote computer, not the local computer. For example, you can use a local computer running XOX to create mirrored and RAID-5 volumes on a remote computer that is running Windows 2000 Server, Windows 2000 Advanced Server or Windows 2000 Datacenter Server.
  • Both the client and server computers must be members of the same domain or within a trusted domain.
  • The user of the client computer must be a member of the Administrators group on the remote computer.
  • You can use a computer running XOX to manage disks on a remote computer running Windows 2000 and vice versa.
  • You can use an x86-based computer to manage an Itanium-based computer and vice versa.
  • If you use a computer running XOX to manage a remote computer running Windows 2000, the property pages for IEEE 1394 and universal serial bus (USB) detachable disks do not show all of the information.
  • If you use a computer running Windows 2000 to manage a remote Itanium-based computer running XOX 64-Bit Edition, you cannot manage GUID partition table (GPT) disks or dynamic disks in the remote computer if one of the disks in the disk group is a GPT disk.

Related Topics


Remove a missing dynamic disk

To remove a missing dynamic disk

Using the Windows interface

  1. XOX
  2. XOX
  3. Right-click each volume on the dynamic disk marked Missing, and then click Delete Volume to remove all volumes on the Missing disk.
  4. Right-click the dynamic disk marked Missing, and then click Remove Disk.

Notes

  • XOX
  • XOX
  • A dynamic disk may become Missing when it is corrupted, powered down, or disconnected.
  • If you have more than one dynamic disk in your computer, you should remove all the volumes on the Missing disk before you remove the disk. Otherwise, the remaining Online dynamic disks retain information about the Missing disk and its volumes in the dynamic disk database and the disk and its volumes continue to be displayed in Disk Management.

Using a command line

  1. Open Command Prompt.
  2. Type:

    diskpart

  3. At the DISKPART prompt, type:

    list disk

    Make note of the number of the disk that you want to remove from the disk list.

  4. At the DISKPART prompt, type:

    select disk n

  5. At the DISKPART prompt, type:

    delete disk

Value | Description
list disk | Displays a list of disks and information about them, such as their size, amount of available free space, whether the disk is a basic or dynamic disk, and whether the disk uses the master boot record (MBR) or GUID partition table (GPT) partition style. The disk marked with an asterisk (*) has focus.
select disk n | Selects the specified disk, where n is the disk number, and shifts the focus to it.
delete disk | Deletes a missing dynamic disk from the disk list.

Notes

  • XOX
  • XOX
  • A dynamic disk may become Missing when it is corrupted, powered down, or disconnected.
  • If you have more than one dynamic disk in your computer, you should remove all the volumes on the Missing disk before you remove the disk. Otherwise, the remaining Online dynamic disks retain information about the Missing disk and its volumes in the dynamic disk database and the disk and its volumes continue to be displayed in Disk Management.

Related Topics


Manage basic volumes

  • View the properties of a volume
  • Assign, change, or remove a drive letter
  • Create a mounted drive
  • Mark a partition as active
  • Format a basic volume
  • Create a partition or logical drive
  • Delete a partition or logical drive
  • Extend a basic volume


View the properties of a basic volume

To view the properties of a basic volume

  1. XOX
  2. In Disk Management, right-click the partition, logical drive, or other basic volume, and then click Properties.

Notes

  • XOX
  • XOX
  • XOX

Related Topics


Assign, change, or remove a drive letter

To assign, change, or remove a drive letter

Using the Windows interface

  1. XOX
  2. XOX
  3. Right-click a partition, logical drive, or volume, and then click Change Drive Letter and Paths.
  4. Do one of the following:
    • To assign a drive letter, click Add, click the drive letter you want to use, and then click OK.
    • To modify a drive letter, click it, click Change, click the drive letter you want to use, and then click OK.
    • To remove a drive letter, click it, and then click Remove.

Important

  • Be careful when making drive-letter assignments because many MS-DOS and Windows programs make references to a specific drive letter. For example, the path environment variable shows specific drive letters in conjunction with program names.

Notes

  • XOX
  • XOX
  • A computer can use up to 26 drive letters. Drive letters A and B are reserved for floppy disk drives, but you can assign these letters to removable drives if the computer does not have a floppy disk drive. Hard disk drives in the computer receive letters C through Z, while mapped network drives are assigned drive letters in reverse order (Z through B).
  • You cannot change the drive letter of the system volume or boot volume.
  • An error message may appear when you attempt to assign a letter to a volume, CD-ROM drive, or other removable media device, possibly because it is in use by a program in the system. If this happens, close the program accessing the volume or drive, and then click the Change Drive Letter and Paths command again.
  • Windows 2000 and XOX allow the static assignment of drive letters on volumes, partitions, and CD-ROM drives. This means that you permanently assign a drive letter to a specific partition, volume, or CD-ROM drive. When you add a new hard disk to an existing computer system, it will not affect statically assigned drive letters.
  • You can also mount a local drive at an empty folder on an NTFS volume using a drive path instead of a drive letter. For more information, click Related Topics.

Using a command line

  1. Open Command Prompt.
  2. Type:

    diskpart

  3. At the DISKPART prompt, type:

    list volume

    Make note of the number of the simple volume whose drive letter you want to assign, change, or remove.

  4. At the DISKPART prompt, type:

    select volume n

    Select the volume, where n is the volume's number, whose drive letter you want to assign, change, or remove.

  5. At the DISKPART prompt, type one of the following:
    • assign letter=L

      • Where L is the drive letter you want to assign or change.

    • remove letter=L

      • Where L is the drive letter you want to remove.

Value | Description
list volume | Displays a list of basic and dynamic volumes on all disks.
select volume | Selects the specified volume, where n is the volume number, and shifts the focus to it. If no volume is specified, the select command lists the current volume with focus. You can specify the volume by number, drive letter, or mount point path. On a basic disk, selecting a volume also gives the corresponding partition focus.
assign letter=L | Assigns a drive letter, L, to the volume with focus. If no drive letter is specified, then the next available drive letter is assigned. If the drive letter is already in use, an error is generated.
remove letter=L | Removes the drive letter, L, from the volume with focus. If no drive letter or mount point is specified, then DiskPart removes the first drive letter or mount point it encounters. The remove command can be used to change the drive letter associated with a removable drive. You cannot remove the drive letters on system, boot, or paging volumes. In addition, you cannot remove the drive letter for an OEM partition, any GPT partition with an unrecognized GUID, or any of the special, non-data, GPT partitions such as the EFI system partition.

Notes

  • XOX
  • XOX
  • A computer can use up to 26 drive letters. Drive letters A and B are reserved for floppy disk drives, but you can assign these letters to removable drives if the computer does not have a floppy disk drive. Hard disk drives in the computer receive letters C through Z, while mapped network drives are assigned drive letters in reverse order (Z through B).
  • You cannot change the drive letter of the system volume or boot volume.
  • An error message may appear when you attempt to assign a letter to a volume, CD-ROM drive, or other removable media device, possibly because it is in use by a program in the system. If this happens, close the program accessing the volume or drive, and then click the Change Drive Letter and Paths command again.
  • Windows 2000 and XOX allow the static assignment of drive letters on volumes, partitions, and CD-ROM drives. This means that you permanently assign a drive letter to a specific partition, volume, or CD-ROM drive. When you add a new hard disk to an existing computer system, it will not affect statically assigned drive letters.
  • You can also mount a local drive at an empty folder on an NTFS volume using a drive path instead of a drive letter. For more information, click Related Topics.
  • For more information about DiskPart, click Related Topics.

Related Topics


Create a mounted drive

To create a mounted drive

Using the Windows interface

  1. XOX
  2. XOX
  3. Right-click the partition or volume you want to mount, and then click Change Drive Letter and Paths.
  4. Do one of the following:
    • To mount a volume, click Add. Click Mount in the following empty NTFS folder, type the path to an empty folder on an NTFS volume, or click Browse to locate it.
    • To unmount a volume, click it and then click Remove.

Notes

  • XOX
  • XOX
  • When you mount a local drive at an empty folder on an NTFS volume, Disk Management assigns a drive path to the drive rather than a drive letter. Drive paths are available only on empty folders on basic or dynamic NTFS volumes.
  • If you are administering a local or remote computer, you can browse NTFS folders on that computer.
  • When using server clusters, make sure that you create unique mounted drives so that they do not conflict with existing local drives on any node in the cluster.
  • When using server clusters, do not create mounted drives between disks on the cluster storage device (cluster disks) and local disks.
  • When using server clusters, do not create mounted drives from the cluster disk that contains the quorum resource (the quorum disk). You can, however, create a mounted drive from a cluster disk to the quorum disk.
  • When using server clusters, mounted drives from one cluster disk to another must be in the same cluster resource group, and must be dependent on the root disk.

Using a command line

  1. Open Command Prompt.
  2. From the NTFS drive\folder that you want to mount elsewhere, type:

    diskpart.

  3. At the DISKPART prompt, type:

    list volume

    Make note of the number of the simple volume that you want to mount elsewhere.

  4. At the DISKPART prompt, type:

    select volume n

    Select the simple volume, n, that you want to mount elsewhere.

  5. At the DISKPART prompt, type:

    6. assign [mount=path]

Value | Description
list volume | Displays a list of basic and dynamic volumes on all disks.
select volume | Selects the specified volume, where n is the volume number, and shifts the focus to it. If no volume is specified, the select command lists the current volume with focus. You can specify the volume by number, drive letter, or mount point path. On a basic disk, selecting a volume also gives the corresponding partition focus.
assign | Assigns a drive letter or mount point to the volume with focus. If no drive letter or mount point is specified, then the next available drive letter is assigned. If the drive letter or mount point is already in use, an error is generated. Using the assign command, you can change the drive letter associated with a removable drive. You cannot assign drive letters to system volumes, boot volumes, or volumes that contain the paging file. In addition, you cannot assign a drive letter to an Original Equipment Manufacturer (OEM) partition or any GPT partition other than a basic MSDATA partition.
mount=path | Specifies an empty, existing NTFS folder where the mounted drive will reside.

Notes

  • XOX
  • XOX
  • Drive paths are available only on empty folders on basic or dynamic NTFS volumes.
  • To modify a drive path, remove it and then create a new drive path using the new location. You cannot modify the drive path directly.
  • When using server clusters, make sure that you create unique mounted drives so that they do not conflict with existing local drives on any node in the cluster.
  • When using server clusters, do not create mounted drives between disks on the cluster storage device (cluster disks) and local disks.
  • When using server clusters, do not create mounted drives from the cluster disk that contains the quorum resource (the quorum disk). You can, however, create a mounted drive from a cluster disk to the quorum disk.
  • When using server clusters, mounted drives from one cluster disk to another must be in the same cluster resource group, and must be dependent on the root disk.
  • For more information about DiskPart, click Related Topics.
  • You can also create a mounted drive using the mountvol command. For more information about mountvol, click Related Topics.

Related Topics


Mark a partition as active

To mark a partition as active

Using the Windows interface

  1. XOX
  2. XOX
  3. Right-click the primary partition you want to mark as active, and then click Mark Partition as Active.

Notes

  • XOX
  • XOX
  • In the list and graphical views, the system, active, and boot partitions are marked as System, Active, or Boot, respectively.
  • You cannot mark a logical drive as active.
  • You can only mark a partition as active on a master boot record (MBR) disk.
  • A computer can only have one active partition per disk.
  • Changing or deleting an active partition might cause your computer not to start.
  • The names commonly used for partitions containing the startup and operating system files are system and boot partitions, respectively.
  • The system partition must be a primary partition that has been marked as active for startup purposes and must be located on the disk that the computer accesses when starting up the system. There can be only one active system partition on a disk at a time. You can have multiple basic disks and each can have one active partition. However the computer will only start from one specific disk. If you want to use another operating system, you must first mark its system partition as active before restarting the computer.
  • The system partition can never be part of a striped volume, spanned volume, or RAID-5 volume.
  • You cannot mark an existing dynamic volume as active. However, you can convert a basic disk containing the active partition to a dynamic disk. Once the disk is converted, the partition becomes a simple volume that is active. If the active partition is not the current system or boot partition it becomes a simple volume and loses its entry in the partition table, so it can no longer be active.

Using a command line

  1. Open Command Prompt.
  2. Type:

    diskpart

  3. At the DISKPART prompt, type:

    list partition

    Make note of the number of the partition that you want to mark as active.

  4. At the DISKPART prompt, type:

    select partition n

    Select the partition, n, you want to mark as active.

  5. At the DISKPART prompt, type:

    active

Important

  • DiskPart verifies only that the partition is capable of containing an operating system's startup files. DiskPart does not check the contents of the partition. If you mistakenly mark a partition as "active" and it does not contain the operating system's startup files, your computer might not start.
Value | Description
list partition | Displays the partitions listed in the partition table of the current disk.
select partition | Selects the specified partition and gives it focus. If no partition is specified, the select command lists the current partition with focus.
active | On basic disks, marks the partition with focus as active. This informs the basic input/output system (BIOS) or Extensible Firmware Interface (EFI) that the partition or volume is a valid system partition or system volume. Only partitions can be marked as active.

Notes

  • XOX
  • XOX
  • You cannot mark a logical drive as active.
  • You can only mark a partition as active on a master boot record (MBR) disk.
  • A computer can only have one active partition per disk.
  • Changing or deleting an active partition might cause your computer not to start.
  • The names commonly used for partitions containing the startup and operating system files are system and boot partitions, respectively.
  • The system partition must be a primary partition that has been marked as active for startup purposes and must be located on the disk that the computer accesses when starting up the system. There can be only one active system partition on a disk at a time. You can have multiple basic disks and each can have one active partition. However the computer will only start from one specific disk. If you want to use another operating system, you must first mark its system partition as active before restarting the computer.
  • The system partition can never be part of a striped volume, spanned volume, or RAID-5 volume.
  • You cannot mark an existing dynamic volume as active. However, you can convert a basic disk containing the active partition to a dynamic disk. Once the disk is converted, the partition becomes a simple volume that is active. If the active partition is not the current system or boot partition it becomes a simple volume and loses its entry in the partition table, so it can no longer be active.
  • For more information about DiskPart, click Related Topics.

Related Topics


Format a basic volume

To format a basic volume

  1. XOX
  2. Right-click the partition, logical drive, or basic volume you want to format (or reformat), and then click Format.
  3. Select the options you want, and then click OK.

Notes

  • XOX
  • XOX
  • XOX
  • You cannot format the system or boot partition.
  • Compression is supported only on NTFS volumes.
  • Quick format removes files from the disk but does not scan the disk for bad sectors. Use this option only if this disk has been previously formatted and you are sure the disk is not damaged.

Related Topics


Create a partition or logical drive

To create a partition or logical drive

Using the Windows interface

  1. XOX
  2. XOX
  3. Right-click an unallocated region of a basic disk, and then click New Partition, or right-click free space in an extended partition, and then click New Logical Drive.
  4. In the New Partition Wizard, click Next, click Primary partition, Extended partition, or Logical drive, and then follow the instructions on your screen.

Notes

  • XOX
  • XOX
  • You can create primary partitions, extended partitions, and logical drives only on basic disks. You should create basic volumes instead of dynamic volumes if this computer also runs MS-DOS, Windows 95, Windows 98, Windows Millennium Edition, Windows NT 4.0, or XOX.
  • On a master boot record (MBR) disk, you can create up to four primary partitions, or three primary partitions and one extended partition.
  • On a GUID partition table (GPT) disk, you can create up to 128 primary partitions.

Using a command line

  1. Open Command Prompt.
  2. Type:

    diskpart

  3. At the DISKPART prompt, type:

    list disk

    Make note of the disk number of the disk on which you want to create a primary or extended partition.

  4. At the DISKPART prompt, type:

    select disk n

    Select the disk n where you want to create the primary or extended partition.

  5. At the DISKPART prompt, type one of the following:

    create partition primary [size=n] [offset=n] [ID=byte | GUID] [noerr]

    or

    create partition extended [size=n] [offset=n] [noerr]

    or

    create partition logical [size=n] [offset=n] [noerr]

Value | Description
list disk | Displays a list of disks and information about them, such as their size, amount of available free space, whether the disk is a basic or dynamic disk, and whether the disk uses the master boot record (MBR) or GUID partition table (GPT) partition style. The disk marked with an asterisk (*) has focus.
select disk | Selects the specified disk, where n is the disk number, and shifts the focus to it.
create partition primary | Creates a primary partition on the current basic disk. After you create the partition, the focus automatically shifts to the new partition. The partition does not receive a drive letter; you must use the assign command to assign a drive letter to the partition.
create partition extended | Creates an extended partition on the current drive. After the partition has been created, the focus automatically shifts to the new partition. Only one extended partition can be created per disk. This command fails if you attempt to create an extended partition within another extended partition. You must create an extended partition before you can create logical drives.
create partition logical | Creates a logical drive in the extended partition. After the partition has been created, the focus automatically shifts to the new logical drive.
size=n | The size of the partition in megabytes (MB). If no size is given, the partition continues until there is no more unallocated space in the current region. The size is cylinder snapped; the size is rounded to the closest cylinder boundary. For example, if you specify a size of 500 MB, the partition would be rounded up to 504 MB.
offset=n | The byte offset at which to create the partition. If no offset is given, the partition will start at the beginning of the first free space on the disk. For master boot record (MBR) disks, the offset is cylinder snapped; the offset is rounded to the closest cylinder boundary. For example, if you specify an offset that is 27 MB and the cylinder size is 8 MB, the offset is rounded to the 24 MB boundary.
ID=byte | GUID

Intended for Original Equipment Manufacturer (OEM) use only.

Caution

  • Creating partitions with this parameter might cause your computer to crash or be unable to start up. Unless you are an OEM or an IT professional experienced with GPT disks, do not create partitions on GPT disks using the ID=byte | GUID parameter. Instead, always use the create partition efi command to create EFI System partitions, the create partition msr command to create Microsoft Reserved partitions, and the create partition primary command (without the ID=byte | GUID parameter) to create primary partitions on GPT disks.

For MBR disks, you can specify a partition type byte for the partition. If no partition type byte is specified on an MBR disk, the create partition primary command creates a partition of type 0x6. Any partition type byte can be specified with the ID=byte | GUID parameter. DiskPart does not check the partition type byte for validity, nor does it perform any other checking of the ID parameter.

For GPT disks you can specify a partition type GUID for the partition you want to create:

  • EFI System partition: c12a7328-f81f-11d2-ba4b-00a0c93ec93b
  • Microsoft reserved partition: e3c9e316-0b5c-4db8-817d-f92df00215ae
  • MSDATA partition: ebd0a0a2-b9e5-4433-87c0-68b6b72699c7
  • LDM Metadata partition on a dynamic disk: 5808c8aa-7e8f-42e0-85d2-e1e90434cfb3
  • LDM Data partition on a dynamic disk: af9b60a0-1431-4f62-bc68-3311714a69ad

If no partition type GUID is specified, the create partition primary command creates an MSDATA partition. Any partition type can be specified with the ID=byte | GUID parameter. DiskPart does not check the partition GUID for validity, nor does it perform any other checking of the ID parameter.
noerr | For scripting only. When an error is encountered, specifies that DiskPart continues to process commands as if the error did not occur. Without the noerr parameter, an error causes DiskPart to exit with an error code.

Notes

  • XOX
  • XOX
  • You can create primary partitions, extended partitions, and logical drives only on basic disks. You should create basic volumes instead of dynamic volumes if this computer also runs MS-DOS, Windows 95, Windows 98, Windows Millennium Edition, Windows NT 4.0, or XOX.
  • On a master boot record (MBR) disk, you can create up to four primary partitions, or three primary partitions and one extended partition.
  • On a GUID partition table (GPT) disk, you can create up to 128 primary partitions.
  • You cannot create partitions on removable media using DiskPart.
  • For more information about DiskPart, click Related Topics.

Related Topics


Delete a partition or logical drive

To delete a partition or logical drive

Using the Windows interface

  1. XOX
  2. XOX
  3. Right-click the partition, logical drive, or volume you want to delete, and then click Delete Partition.

Important

  • When you delete a partition, all data on that deleted partition or logical drive is lost.
  • You cannot recover deleted partitions or logical drives.

Notes

  • XOX
  • XOX
  • You cannot delete the system volume, boot volume, or any volume that contains the active paging file or crash dump (memory dump).
  • You cannot delete an extended partition unless the extended partition is empty.

    All the logical drives in an extended partition be deleted before you can delete the extended partition.

Using a command line

  1. Open Command Prompt.
  2. Type:

    diskpart

  3. At the DISKPART prompt, type:

    list disk

    Make note of the disk number of the disk from which you want to delete the partition.

  4. At the DISKPART prompt, type:

    select disk n

    Select the disk n from which you want to delete the partition.

  5. At the DISKPART prompt, type:

    list partition

    Make note of the number of the partition that you want to delete.

  6. At the DISKPART prompt, type:

    select partition n

    Select the partition n that you want to delete.

  7. At the DISKPART prompt, type:

    delete partition

Caution

  • Deleting a partition on a dynamic disk can delete all dynamic volumes on the disk, thus converting the disk to basic disk. To delete a dynamic volume, use the delete volume command instead.

Important

  • When you delete a partition, all data on that deleted partition or logical drive is lost.
  • You cannot recover deleted partitions or logical drives.
Value | Description
list disk | Displays a list of disks and information about them, such as their size, amount of available free space, whether the disk is a basic or dynamic disk, and whether the disk uses the master boot record (MBR) or GUID partition table (GPT) partition style. The disk marked with an asterisk (*) has focus.
select disk | Selects the specified disk, where n is the disk number, and shifts the focus to it.
list partition | Displays the partitions listed in the partition table of the current disk.
select partition n | Selects the specified partition and gives it focus. If no partition is specified, the select command lists the current partition with focus.
delete partition | On a basic disk, deletes the partition with focus. You cannot delete the system partition, boot partition, or any partition that contains the active paging file or crash dump (memory dump).

Notes

  • XOX
  • XOX
  • You cannot delete the system volume, boot volume, or any volume that contains the active paging file or crash dump (memory dump).
  • You cannot delete an extended partition unless the extended partition is empty.

    All the logical drives in an extended partition be deleted before you can delete the extended partition.

  • You cannot delete partitions on removable media using DiskPart.
  • For more information about DiskPart, click Related Topics.

Related Topics


Extend a basic volume

To extend a basic volume

  1. Open Command Prompt.
  2. Type:

    diskpart

  3. At the DISKPART prompt, type:

    list volume

    Make note of the number of the basic volume you want to extend.

  4. At the DISKPART prompt, type:

    select volume n

    Selects the basic volume, n, you want to extend into contiguous, empty space on the same disk.

  5. At the DISKPART prompt, type:

    extend [size=n]

    Extends the selected volume by size=n megabytes (MB).

Value | Description
list volume | Displays a list of basic and dynamic volumes on all disks.
select volume | Selects the specified volume, where n is the volume number, and shifts the focus to it. If no volume is specified, the select command lists the current volume with focus. You can specify the volume by number, drive letter, or mount point path. On a basic disk, selecting a volume also gives the corresponding partition focus.
extend | Extends the volume with focus into next contiguous unallocated space. For basic volumes, the unallocated space must be on the same disk as, and must follow (be of higher sector offset than) the partition with focus. A dynamic simple or spanned volume can be extended to any empty space on any dynamic disk. Using this command, you can extend an existing volume into newly created space. If the partition was previously formatted with the NTFS file system, the file system is automatically extended to occupy the larger partition. No data loss occurs. If the partition was previously formatted with any file system format other than NTFS, the command fails with no change to the partition. You cannot extend the current system or boot partitions.
size=n | The amount of space, in megabytes (MB), to add to the current partition. If you do not specify a size, the disk is extended to take up all of the next contiguous unallocated space.

Notes

  • XOX
  • XOX
  • To extend a basic volume, it must be formatted with the NTFS file system.
  • You can only extend a basic volume onto the same disk.
  • You can only extend a basic volume if it is followed by contiguous unallocated space.
  • For more information about DiskPart, click Related Topics.

Related Topics


Manage dynamic volumes

  • View the properties of a volume
  • Assign, change, or remove a drive letter
  • Create a mounted drive
  • Format a dynamic volume
  • Delete a dynamic volume
  • Manage simple volumes
  • Manage spanned volumes
  • Create a striped volume
  • Manage mirrored volumes
  • Manage RAID-5 volumes
  • Reactivate a dynamic volume


Format a dynamic volume

To format a dynamic volume

Using the Windows interface

  1. XOX
  2. XOX
  3. Right-click the volume you want to format (or reformat), and then click Format.
  4. Select the options you want, and then click OK.

Notes

  • XOX
  • XOX
  • You cannot format the system or boot volume.
  • File compression is supported only on NTFS volumes with cluster sizes 4 KB and smaller.
  • If you select the Perform a quick format check box, the files are removed from the disk but the disk is not scanned for bad sectors. Use this option only if this disk has been previously formatted and you are sure the disk is not damaged.
  • Only the NTFS file system is available for dynamic volumes in Disk Management. However, you can format dynamic volumes with either the FAT or FAT32 file systems using the format command.

Using a command line

  1. Open Command Prompt.
  2. Type:

    format volume [/fs:filesystem] [/v:label] [/q] [/a:unitsize] [/c]

Value | Description
volume | Specifies the mount point, volume name, or drive letter of the drive you want to format. If you do not specify any of the following command-line options, format uses the volume type to determine the default format for the disk.
/fs:filesystem | Specifies the file system to use FAT, FAT32, or NTFS. Floppy disks can use only the FAT file system.
/v:label | Specifies the volume label. If you omit the /v command-line option or use it without specifying a volume label, format prompts you for the volume label after the formatting is completed. Use the syntax /v: to prevent the prompt for a volume label. If you format more than one disk by using one format command, all of the disks will be given the same volume label.
/q | Performs a quick format. Deletes the file table and the root directory of a previously formatted volume but does not perform a sector by sector scan for bad areas. You should use the /q command-line option to format only previously formatted volumes that you know are in good condition.
/a:unitsize Specifies the cluster size, also known as allocation unit size, to use on FAT, FAT32, or NTFS volumes. Use one of the following values for unitsize. If unitsize is not specified, it will be chosen based on volume size.
512 | Creates 512 bytes per cluster.
1024 | Creates 1024 bytes per cluster.
2048 | Creates 2048 bytes per cluster.
4096 | Creates 4096 bytes per cluster.
8192 | Creates 8192 bytes per cluster.
16K | Creates 16 kilobytes per cluster.
32K | Creates 32 kilobytes per cluster.
64K | Creates 64 kilobytes per cluster.
/c | NTFS only. Files created on the new volume will be compressed by default.

Notes

  • XOX
  • XOX
  • You cannot format the system or boot volume.
  • Quick format removes files from the disk but does not scan the disk for bad sectors. Use this option only if this disk has been previously formatted and you are sure the disk is not damaged.
  • File compression is supported only on NTFS volumes with cluster sizes 4 KB and smaller.
  • For Windows NT 4.0, Windows 2000, and XOX, the cluster size of FAT16 volumes from 2 GB through 4 GB is 64 KB, which can create compatibility issues with some applications. For example, setup programs do not compute free space properly on a volume with 64 KB clusters and cannot run because of a perceived lack of free space. For this reason, either FAT32 or NTFS must be used on volumes larger than 2 GB. Format displays a warning and asks for a confirmation before formatting a volume that has 64 KB clusters using FAT16.
  • For more information about format, click Related Topics.

Related Topics


Delete a dynamic volume

To delete a dynamic volume

Using the Windows interface

  1. XOX
  2. XOX
  3. Right-click the dynamic volume you want to delete, and then click Delete Volume.

Important

  • Use caution when deleting a volume. Deleting a simple volume, spanned volume, striped volume, mirrored volume, or RAID-5 volume deletes all the data on the volume as well the volume itself.
  • You cannot recover deleted volumes.

Notes

  • XOX
  • XOX
  • You cannot delete the system volume, boot volume, or any volume that contains the active paging file or crash dump (memory dump).
  • Dynamic simple, spanned, striped, mirrored, and RAID-5 volumes are not available on XOX. Dynamic mirrored and RAID-5 volumes are not available on XOX or XOX 64-Bit Edition.

Using a command line

  1. Open Command Prompt.
  2. Type:

    diskpart

  3. At the DISKPART prompt, type:

    list volume

    Make note of the number of the dynamic volume you want to delete.

  4. At the DISKPART prompt, type:

    select volume n

    Select the dynamic volume, where n is the volume's number, that you want to delete.

  5. At the DISKPART prompt, type:

    delete volume

    Deletes the selected dynamic volume.

Important

  • Use caution when deleting a volume. Deleting a simple volume, spanned volume, striped volume, mirrored volume, or RAID-5 volume deletes all the data on the volume as well the volume itself.
  • You cannot recover deleted volumes.
Value | Description
list volume | Displays a list of basic and dynamic volumes on all disks.
select volume | Selects the specified volume, where n is the volume number, and shifts the focus to it. If no volume is specified, the select command lists the current volume with focus. You can specify the volume by number, drive letter, or mount point path. On a basic disk, selecting a volume also gives the corresponding partition focus.
delete volume | Deletes the selected volume. You cannot delete the system volume, boot volume, or any volume that contains the active paging file or crash dump (memory dump).

Notes

  • XOX
  • XOX
  • You cannot delete the system volume, boot volume, or any volume that contains the active paging file or crash dump (memory dump).
  • Dynamic simple, spanned, striped, mirrored, and RAID-5 volumes are not available on XOX. Dynamic mirrored and RAID-5 volumes are not available on XOX or XOX 64-Bit Edition.
  • For more information about DiskPart, click Related Topics.

Related Topics


Reactivate a dynamic volume

To reactivate a dynamic volume

  1. XOX
  2. XOX
  3. Right-click the dynamic volume with Failed status, and then click Reactivate Volume.

    4. The volume should return to Healthy status.

Note

  • XOX
  • XOX

Related Topics


Manage simple volumes

  • Create a simple volume
  • Extend a simple or spanned volume


Create a simple volume

To create a simple volume

Using the Windows interface

  1. XOX
  2. XOX
  3. Right-click the unallocated space on the dynamic disk on which you want to create the simple volume, and then click New Volume.
  4. In the New Volume Wizard, click Next, click Simple, and then follow the instructions on your screen.

Notes

  • XOX
  • XOX
  • You can create simple volumes on dynamic disks only.
  • You can extend a volume only if it does not have a file system or if it is formatted using the NTFS file system. You cannot extend volumes formatted using FAT or FAT32.
  • You cannot extend a system volume or boot volume.
  • You can extend simple or extended volumes that are not system or boot volumes, as long as there is available disk space. This includes volumes created as dynamic volumes or created as basic volumes and then converted to dynamic on XOX.
  • You cannot extend striped volumes, mirrored volumes, or RAID-5 volumes.
  • If you upgraded from Windows 2000 to XOX, you cannot extend a simple or spanned volume that was originally created as a basic volume and converted to a dynamic volume on Windows 2000.
  • You can extend a simple volume onto additional dynamic disks to create a spanned volume. Spanned volumes cannot be mirrored or striped.
  • If you extend a spanned volume, you cannot delete any portion of it without deleting the entire spanned volume.
  • Simple volumes are not fault tolerant.
  • Simple volumes can only be accessed by Windows 2000 and XOX. You should create basic volumes on basic disks if the computer also runs MS-DOS, Windows 95, Windows 98, Windows Millennium Edition, Windows NT 4.0, or XOX because these operating systems cannot access dynamic volumes.

Using a command line

  1. Open Command Prompt.
  2. Type:

    diskpart

  3. At the DISKPART prompt, type:

    list disk

    Make note of the disk number of the disk where you want to create a simple volume.

  4. At the DISKPART prompt, type:

    create volume simple [size=n] [disk=n]

Value | Description
list disk | Displays a list of disks and information about them, such as their size, amount of available free space, whether the disk is a basic or dynamic disk, and whether the disk uses the master boot record (MBR) or GUID partition table (GPT) partition style. The disk marked with an asterisk (*) has focus.
create volume simple | Creates a simple volume. After you create the volume, the focus automatically shifts to the new volume.
size=n | The size of the volume in megabytes (MB). If no size is given, the new volume takes up the remaining free space on the disk.
disk=n | The dynamic disk on which to create the volume. If no disk is given, the current disk is used.

Notes

  • XOX
  • XOX
  • You can create simple volumes on dynamic disks only.
  • You can extend a volume only if it does not have a file system or if it is formatted using the NTFS file system. You cannot extend volumes formatted using FAT or FAT32.
  • You cannot extend a system volume or boot volume.
  • You can extend simple or extended volumes that are not system or boot volumes, as long as there is available disk space. This includes volumes created as dynamic volumes or created as basic volumes and then converted to dynamic on XOX or XOX.
  • You cannot extend striped volumes, mirrored volumes, or RAID-5 volumes.
  • If you upgraded from Windows 2000 to XOX or XOX, you cannot extend a simple or spanned volume that was originally created as a basic volume and converted to a dynamic volume on Windows 2000.
  • You can extend a simple volume onto additional dynamic disks to create a spanned volume. Spanned volumes cannot be mirrored or striped.
  • If you extend a spanned volume, you cannot delete any portion of it without deleting the entire spanned volume.
  • Simple volumes are not fault tolerant.
  • Simple volumes can only be accessed by Windows 2000 and XOX. You should create basic volumes on basic disks if the computer also runs MS-DOS, Windows 95, Windows 98, Windows Millennium Edition, Windows NT 4.0, or XOX because these operating systems cannot access dynamic volumes.
  • For more information about DiskPart, click Related Topics.

Related Topics


Extend a simple or spanned volume

To extend a simple or spanned volume

Using the Windows interface

  1. XOX
  2. XOX
  3. Right-click the simple or spanned volume you want to extend, click Extend Volume, and then follow the instructions on your screen.

Notes

  • XOX
  • XOX
  • You can extend a volume only if it does not have a file system or if it is formatted using the NTFS file system. You cannot extend volumes formatted using FAT or FAT32.
  • You cannot extend a system volume or boot volume.
  • You can extend simple or extended volumes that are not system or boot volumes, as long as there is available disk space. This includes volumes created as dynamic volumes or created as basic volumes and then converted to dynamic on XOX.
  • You cannot extend striped volumes, mirrored volumes, or RAID-5 volumes.
  • If you upgraded from Windows 2000 to XOX, you cannot extend a simple or spanned volume that was originally created as a basic volume and converted to a dynamic volume on Windows 2000.
  • You can extend a simple volume onto additional dynamic disks to create a spanned volume. Spanned volumes cannot be mirrored or striped.
  • If you extend a spanned volume, you cannot delete any portion of it without deleting the entire spanned volume.

Using a command line

  1. Open Command Prompt.
  2. Type:

    diskpart

  3. At the DISKPART prompt, type:

    list volume

    Make note of the number of the simple volume you want to extend onto another disk.

  4. At the DISKPART prompt, type:

    select volume n

    Selects the simple volume, n, you want to extend onto another disk.

  5. At the DISKPART prompt, type:

    extend [size=n] [disk=n]

    Extends the selected volume onto disk n, and make the extension size=n megabytes (MB) in size.

Value | Description
list volume | Displays a list of basic and dynamic volumes on all disks.
select volume | Selects the specified volume, where n is the volume number, and shifts the focus to it. If no volume is specified, the select command lists the current volume with focus. You can specify the volume by number, drive letter, or mount point path. On a basic disk, selecting a volume also gives the corresponding partition focus.
extend | Extends the volume with focus into next contiguous unallocated space. For basic volumes, the unallocated space must be on the same disk as, and must follow (be of higher sector offset than) the partition with focus. A dynamic simple or spanned volume can be extended to any empty space on any dynamic disk. Using this command, you can extend an existing volume into newly created space. If the partition was previously formatted with the NTFS file system, the file system is automatically extended to occupy the larger partition. No data loss occurs. If the partition was previously formatted with any file system format other than NTFS, the command fails with no change to the partition. You cannot extend the current system or boot partitions.
disk=n | The dynamic disk on which to extend the volume. An amount of space equal to size=n is allocated on the disk. If no disk is specified, the volume is extended on the current disk.
size=n | The amount of space, in megabytes (MB), to add to the current partition. If you do not specify a size, the disk is extended to take up all of the next contiguous unallocated space.

Notes

  • XOX
  • XOX
  • You can extend a volume only if it does not have a file system or if it is formatted using the NTFS file system. You cannot extend volumes formatted using FAT or FAT32.
  • You cannot extend a system volume or boot volume.
  • You can extend simple or extended volumes that are not system or boot volumes, as long as there is available disk space. This includes volumes created as dynamic volumes or created as basic volumes and then converted to dynamic on XOX.
  • You cannot extend striped volumes, mirrored volumes, or RAID-5 volumes.
  • If you upgraded from Windows 2000 to XOX, you cannot extend a simple or spanned volume that was originally created as a basic volume and converted to a dynamic volume on Windows 2000.
  • You can extend a simple volume onto additional dynamic disks to create a spanned volume. Spanned volumes cannot be mirrored or striped.
  • If you extend a spanned volume, you cannot delete any portion of it without deleting the entire spanned volume.
  • For more information about DiskPart, click Related Topics.

Related Topics


Manage spanned volumes

  • Create a spanned volume
  • Extend a simple or spanned volume


Create a spanned volume

To create a spanned volume

  1. XOX
  2. XOX
  3. Right-click the unallocated space on one of the dynamic disks where you want to create the spanned volume, and then click New Volume.
  4. In the New Volume Wizard, click Next, click Spanned, and then follow the instructions on your screen.

Notes

  • XOX
  • XOX
  • You can create spanned volumes on dynamic disks only.
  • You need at least two dynamic disks to create a spanned volume.
  • You can extend a spanned volume onto a maximum of 32 dynamic disks.
  • Spanned volumes cannot be mirrored or striped.
  • Spanned volumes are not fault tolerant.

Related Topics


Create a striped volume

To create a striped volume

Using the Windows interface

  1. XOX
  2. XOX
  3. Right-click unallocated space on one of the dynamic disks on which you want to create the striped volume, and then click New Volume.
  4. In the New Volume Wizard, click Next, click Striped, and then follow the instructions on your screen.

Notes

  • XOX
  • XOX
  • You need at least two dynamic disks to create a striped volume. You can create a striped volume onto a maximum of 32 disks.
  • Striped volumes are not fault tolerant and cannot be extended or mirrored.

Using a command line

  1. Open Command Prompt.
  2. Type:

    diskpart

  3. At the DISKPART prompt, type:

    list disk

    Make note of the disk number of the disk on which you want to create a striped volume.

  4. At the DISKPART prompt, type:

    create volume stripe [size=n] [disk=n[,[n,…]]

Value | Description
list disk | Displays a list of disks and information about them, such as their size, amount of available free space, whether the disk is a basic or dynamic disk, and whether the disk uses the master boot record (MBR) or GUID partition table (GPT) partition style. The disk marked with an asterisk (*) has focus.
create volume stripe | Creates a striped volume on the specified disks. After you create the volume, the focus automatically shifts to the new volume.
size=n | The amount of disk space, in megabytes (MB), that the volume will occupy on each disk. If no size is given, the new volume takes up the remaining free space on the smallest disk and an equal amount of space on each subsequent disk.
disk=n | The dynamic disks on which to create the volume. An amount of space equal to size=n is allocated on each disk.

Notes

  • XOX
  • XOX
  • You need at least two dynamic disks to create a striped volume. You can create a striped volume onto a maximum of 32 disks.
  • Striped volumes are not fault tolerant and cannot be extended or mirrored.
  • For more information about DiskPart, click Related Topics.

Related Topics


Manage mirrored volumes

  • Create a mirrored volume
  • Add a mirror to an existing simple volume
  • Break a mirrored volume into two volumes
  • Remove a mirror from a mirrored volume
  • Reconnect the disk and repair the mirrored volume
  • Reactivate a mirrored volume
  • Replace a failed mirror with a new mirror


Create a mirrored volume

To create a mirrored volume

Using the Windows interface

  1. XOX
  2. XOX
  3. Right-click the unallocated space on one of the dynamic disks on which you want to create the mirrored volume, and then click New Volume.
  4. In the New Volume Wizard, click Next, click Mirrored, and then follow the instructions on your screen.

Notes

  • XOX
  • XOX
  • You can create mirrored volumes only on computers running Windows 2000 Server, Windows 2000 Advanced Server, or Windows 2000 Datacenter Server.
  • You need two dynamic disks to create a mirrored volume.
  • You can mirror an existing simple volume.
  • Mirrored volumes are fault tolerant and use RAID-1, which provides redundancy by creating two identical copies of a volume.
  • Mirrored volumes cannot be extended or striped.
  • Both copies (mirrors) of the mirrored volume share the same drive letter.

Using a command line

  1. Open Command Prompt.
  2. Type:

    diskpart

  3. At the DISKPART prompt, type:

    list disk

    Make note of the disk numbers for the dynamic disks that will make up the mirrored volume.

  4. At the DISKPART prompt, type:

    select disk n

    If the disk is empty, continue to step 5 to create a simple volume on that disk. Otherwise, proceed to step 6.

  5. At the DISKPART prompt, type:

    create volume simple [size=n] [disk=n]

  6. At the DISKPART prompt, type:

    add disk n

Value | Description
list disk | Displays a list of disks and information about them, such as their size, amount of available free space, whether the disk is a basic or dynamic disk, and whether the disk uses the master boot record (MBR) or GUID partition table (GPT) partition style. The disk marked with an asterisk (*) has focus.
select disk | Selects the specified disk, where n is the disk number, and shifts the focus to it.
create volume simple | Creates a simple volume. After you create the volume, the focus automatically shifts to the new volume.
size=n | The size of the volume in megabytes (MB). If no size is given, the new volume takes up the remaining free space on the disk.
disk=n | The dynamic disk on which to create the volume. If no disk is given, the current disk is used.
add disk=n | Mirrors the simple volume with focus to the specified disk, where n is the disk number. The specified disk must have unallocated space at least as large as the size of the simple volume you want to mirror.

Notes

  • XOX
  • XOX
  • You can create mirrored volumes only on computers running Windows 2000 Server, Windows 2000 Advanced Server, or Windows 2000 Datacenter Server.
  • You need at least two dynamic disks to create a mirrored volume.
  • Mirrored volumes are fault tolerant and use RAID-1, which provides redundancy by creating two identical copies of a volume.
  • Mirrored volumes cannot be extended or striped.
  • Both copies (mirrors) of the mirrored volume share the same drive letter.
  • For more information about DiskPart, click Related Topics.

Related Topics


Add a mirror to an existing simple volume

To add a mirror to an existing simple volume

Using the Windows interface

You can mirror volumes only on computers running Windows 2000 Server, Windows 2000 Advanced Server, or Windows 2000 Datacenter Server.

  1. XOX
  2. XOX
  3. Right-click the simple volume you want to mirror, click Add Mirror, and then follow the instructions on your screen.

Notes

  • XOX
  • XOX
  • Any existing simple volume can be mirrored onto another dynamic disk, as long as there is sufficient unallocated space on that disk. If you do not have a dynamic disk with enough unallocated space, the Add Mirror menu item is unavailable. (To verify you have enough space, right-click the disk, click Properties, and then check the size in Unallocated Space. This size may be slightly smaller than shown in the graphical and list views.)
  • Mirrored volumes are fault tolerant and use RAID-1, which provides redundancy by creating two identical copies of a volume.
  • You cannot extend a simple volume after it has been mirrored.
  • Both copies (mirrors) of the mirrored volume share the same drive letter.

Using a command line

  1. Open Command Prompt.
  2. Type:

    diskpart

  3. At the DISKPART prompt, type:

    list volume

    Make note of the number of the simple volume that you want to mirror onto another disk.

  4. At the DISKPART prompt, type:

    select volume n

    Select the simple volume, n, you want to mirror onto another disk.

  5. At the DISKPART prompt, type:

    list disk

    Make note of the disk number of the disk on which you want to mirror the volume.

  6. At the DISKPART prompt, type:

    add disk n

Value | Description
list volume | Displays a list of basic and dynamic volumes on all disks.
select volume | Selects the specified volume, where n is the volume number, and shifts the focus to it. If no volume is specified, the select command lists the current volume with focus. You can specify the volume by number, drive letter, or mount point path. On a basic disk, selecting a volume also gives the corresponding partition focus.
list disk | Displays a list of disks and information about them, such as their size, amount of available free space, whether the disk is a basic or dynamic disk, and whether the disk uses the master boot record (MBR) or GUID partition table (GPT) partition style. The disk marked with an asterisk (*) has focus.
add disk n | Mirrors the simple volume with focus to the specified disk. The specified disk must have unallocated space at least as large as the size of the simple volume you want to mirror.

Notes

  • XOX
  • XOX
  • You can mirror volumes only on computers running Windows 2000 Server, Windows 2000 Advanced Server, or Windows 2000 Datacenter Server.
  • Mirrored volumes are fault tolerant and use RAID-1, which provides redundancy by creating two identical copies of a volume.
  • You cannot extend a simple volume after it has been mirrored.
  • Both copies (mirrors) of the mirrored volume share the same drive letter.
  • For more information about DiskPart, click Related Topics.

Related Topics


Break a mirrored volume into two volumes

To break a mirrored volume into two volumes

Using the Windows interface

  1. XOX
  2. XOX
  3. Right-click one of the volume copies in the mirrored volume, and then click Break Mirrored Volume.

Notes

  • XOX
  • XOX
  • When you break a mirrored volume, the two volume copies that made up the mirrored volume become two independent simple volumes. These volumes are no longer fault tolerant. The volume copy you click to break the mirrored volume retains the drive letter or mount point, while XOX assigns the next available drive letter to the other volume.

Using a command line

  1. Open Command Prompt.
  2. Type:

    diskpart

  3. At the DISKPART prompt, type:

    list disk

    Make note of the disk numbers of the mirrored volume you want to break into two separate volumes.

  4. At the DISKPART prompt, type:

    list volume

    Make note of the number of the mirrored volume.

  5. At the DISKPART prompt, type:

    select volume n

    Select the mirrored volume you want to break into two separate volumes.

  6. At the DISKPART prompt, type:

    break disk n

Value | Description
list disk | Displays a list of disks and information about them, such as their size, amount of available free space, whether the disk is a basic or dynamic disk, and whether the disk uses the master boot record (MBR) or GUID partition table (GPT) partition style. The disk marked with an asterisk (*) has focus.
list volume | Displays a list of basic and dynamic volumes on all disks.
select volume | Selects the specified volume, where n is the volume number, and shifts the focus to it. If no volume is specified, the select command lists the current volume with focus. You can specify the volume by number, drive letter, or mount point path. On a basic disk, selecting a volume also gives the corresponding partition focus.
break disk n | Applies to dynamic disks only. Breaks a mirrored volume into two simple volumes. These volumes are no longer fault tolerant. The disk specified by n receives the focus so you can assign it a drive letter. If the specified disk is a system or boot volume, the command fails. The other disk retains the drive letter and any mount points that belonged to the mirrored volume.

Notes

  • XOX
  • XOX
  • For more information about DiskPart, click Related Topics.

Related Topics


Remove a mirror from a mirrored volume

To remove a mirror from a mirrored volume

Using the Windows interface

  1. XOX
  2. XOX
  3. Right-click the mirror you want to remove, click Remove Mirror, and then follow the instructions on your screen.

Important

  • Once you remove a mirror from a mirrored volume, the removed mirror becomes unallocated space and the remaining mirror becomes a simple volume that is no longer fault tolerant. All of the data on the removed mirror is deleted.

Notes

  • XOX
  • XOX

Using a command line

  1. Open Command Prompt.
  2. Type:

    diskpart

  3. At the DISKPART prompt, type:

    list disk

    Make note of the disk number of the disk that has the mirrored volume you want to break into two separate volumes.

  4. At the DISKPART prompt, type:

    break disk n [nokeep]

Value | Description
list disk | Displays a list of disks and information about them, such as their size, amount of available free space, whether the disk is a basic or dynamic disk, and whether the disk uses the master boot record (MBR) or GUID partition table (GPT) partition style. The disk marked with an asterisk (*) has focus.
break disk n | Applies to dynamic disks only. Breaks a mirrored volume into two simple volumes. These volumes are no longer fault tolerant. The disk specified by n receives the focus so you can assign it a drive letter. If the specified disk is a system or boot volume, the command fails. The other disk retains the drive letter and any mount points that belonged to the mirrored volume. Using the nokeep parameter, the specified disk, n, is deleted and converted to free space, while the other half of the mirror is retained as a simple volume. Neither volume receives the focus.
nokeep | Specifies that only one of the mirrored volumes retained; the other simple volume is deleted and converted to free space. Neither volume receives the focus.

Important

  • Once you remove a mirror from a mirrored volume, the removed mirror becomes unallocated space and the remaining mirror becomes a simple volume that is no longer fault tolerant. All of the data on the removed mirror is deleted.

Notes

  • XOX
  • XOX
  • For more information about DiskPart, click Related Topics.

Related Topics


Reconnect the disk and repair the mirrored volume

To reconnect the disk and repair the mirrored volume

A disk containing part of a mirrored volume has been disconnected. Try to reconnect and reactivate the disk.

  1. Make sure that the physical disk is turned on, plugged in, and attached to the computer. If necessary, turn on or reattach the physical disk.
  2. XOX
  3. XOX
  4. Right-click the Missing or Offline disk, and then click Reactivate Disk.

    5. If the disk containing part of the mirrored volume does not return to Healthy status, see Replace the failed mirror with a new mirror on another disk.

Notes

  • XOX
  • XOX

Related Topics


Reactivate a mirrored volume

To reactivate a mirrored volume

If the I/O errors are transient, you can try to reactivate the disk.

  1. XOX
  2. XOX
  3. Right-click the partially failed disk, and then click Reactivate Disk.

    4. The mirrored volume's status should change to Regenerating, then Healthy.

    If the disk containing part of the mirrored volume does not return to Healthy status, see Replace the failed mirror with a new mirror on another disk.

Notes

  • XOX
  • XOX

Related Topics


Replace the failed mirror with a new mirror on another disk

To replace the failed mirror with a new mirror on another disk

If the disk containing part of the mirrored volume is missing and the volume does not return to Healthy status, you should replace the failed mirror with a new mirror on another disk.

  1. XOX
  2. XOX
  3. Right-click the mirror on the Missing or Offline disk, and then click Remove Mirror. Follow the instructions on your screen.
  4. Right-click the volume to be re-mirrored, and then click Add Mirror. Follow the instructions on your screen.

Important

  • Before installing a new disk, break the mirror and then examine the system log to see if the disk or the disk controller is failing. If the failing mirror is on a controller that is failing, installing a new disk on the failing controller will not solve the problem. For instructions describing how to open Event Viewer to examine the system log, click Related Topics.

Notes

  • XOX
  • XOX
  • To replace a mirror in the mirrored volume, you must have a dynamic disk with unallocated space that is at least as large as the region to repair. If you don't have a dynamic disk with enough unallocated space, the Add Mirror command is unavailable. (To verify you have enough space, right-click the disk, click Properties, and then check the size in Unallocated space. This size may be slightly smaller than shown in the graphical and list views.)
  • If you are replacing one of the disks in a mirrored system volume, be sure to use an identical disk to the one you are replacing. Otherwise, startup problems might occur if the disks use different geometries or if the system volumes are at different offsets on the disks. Always test your configuration by attempting to start Windows 2000 Server, Windows 2000 Advanced Server, or Windows 2000 Datacenter Server from each volume to ensure that you can actually start XOX if one of the disks fails.

Related Topics


Manage RAID-5 volumes

  • Create a RAID-5 volume
  • Reconnect the disk and repair the RAID-5 volume
  • Replace a disk region in the RAID-5 volume
  • Reactivate a RAID-5 disk


Create a RAID-5 volume

To create a RAID-5 volume

Using the Windows interface

  1. XOX
  2. XOX
  3. Right-click the unallocated space on one of the dynamic disks where you want to create the RAID-5 volume, and then click New Volume.
  4. In the New Volume Wizard, click Next, click RAID-5, and then follow the instructions on your screen.

Notes

  • XOX
  • XOX
  • You can create RAID-5 volumes only on computers running Windows 2000 Server, Windows 2000 Advanced Server, or Windows 2000 Datacenter Server.
  • You need at least three dynamic disks to create a RAID-5 volume.
  • RAID-5 volumes provide fault tolerance at a cost of only one additional disk for the volume. This means that if you use three 10-GB disks to create a RAID-5 volume, the volume will have a 20-GB capacity. The remaining 10-GB is used for parity
    • .
  • RAID-5 volumes cannot be extended or mirrored.

Using a command line

  1. Open Command Prompt.
  2. Type:

    diskpart

  3. At the DISKPART prompt, type:

    list disk

    Make note of the disk number of the disks where you want to create a RAID-5 volume.

  4. At the DISKPART prompt, type:

    create volume raid [size=n] disk=n,n,n

    Creates a RAID-5 volume of n MB on the selected the disks.

Value | Description
list disk | Displays a list of disks and information about them, such as their size, amount of available free space, whether the disk is a basic or dynamic disk, and whether the disk uses the master boot record (MBR) or GUID partition table (GPT) partition style. The disk marked with an asterisk (*) has focus.
create volume raid | Creates a RAID-5 volume on the specified dynamic disks. After you create the volume, the focus automatically shifts to the new volume.
size=n | The amount of disk space, in megabytes (MB), that the volume will occupy on each disk. If no size is given, the largest possible RAID-5 volume will be created. The disk with the smallest available contiguous free space determines the size for the RAID-5 volume and the same amount of space is allocated from each disk. The actual amount of usable disk space in the RAID-5 volume is less than the combined amount of disk space because some of the disk space is required for parity.
disk=n | The dynamic disks on which to create the volume. An amount of space equal to size=n is allocated on each disk.

Notes

  • XOX
  • XOX
  • You can create RAID-5 volumes only on computers running Windows 2000 Server, Windows 2000 Advanced Server, or Windows 2000 Datacenter Server.
  • You need at least three dynamic disks to create a RAID-5 volume.
  • RAID-5 volumes provide fault tolerance at a cost of only one additional disk for the volume. This means that if you use three 10-GB disks to create a RAID-5 volume, the volume will have a 20-GB capacity. The remaining 10-GB is used for parity
    • .
  • RAID-5 volumes cannot be extended or mirrored.
  • For more information about DiskPart, click Related Topics.

Related Topics


Reconnect the disk and repair the RAID-5 volume

To reconnect the disk and repair the RAID-5 volume

A disk containing part of a RAID-5 volume has been disconnected. Try to reconnect and reactivate the disk.

  1. Make sure that the physical disk is turned on, plugged in, and attached to the computer. If necessary, turn on or reattach the physical disk.
  2. XOX
  3. XOX
  4. Right-click the Missing or Offline disk, and then click Reactivate Disk.

    5. If the disk containing part of the RAID-5 volume does not return to Healthy status, see Replace a disk region in the RAID-5 volume

Important

  • Examine the system log to see if the disk or the disk controller is failing. If the failing disk is on a controller that is failing, installing a new disk on the failing controller will not solve the problem. For instructions describing how to open Event Viewer to examine the system log, click Related Topics.

Notes

  • XOX
  • XOX

Related Topics


Replace a disk region in the RAID-5 volume

To replace a disk region in the RAID-5 volume

If the disk containing part of the RAID-5 volume cannot be reactivated and the volume does not return to the Healthy status, you should replace the failed disk region in the RAID-5 volume.

  1. XOX
  2. XOX
  3. Right-click the portion of the RAID-5 volume on the failed disk, click Repair Volume, and then follow the instructions on your screen.

Notes

  • XOX
  • XOX
  • To replace a disk region in the RAID-5 volume, you must have a dynamic disk with unallocated space that is at least as large as the region to repair. If you don't have a dynamic disk with enough unallocated space, the Repair Volume command is unavailable. (To verify that you have enough space, right-click the disk, click Properties, and then check the size in Unallocated Space. This size may be slightly smaller than shown in the graphical and list views.)
  • When a member of a RAID-5 volume fails in a severe manner (such as a loss of power or a complete hard disk failure), XOX can regenerate the data from the remaining members of the RAID-5 volume.
  • If the RAID-5 failure is due to a power or cabling failure on a single device, you can regenerate the data within the failed member of the RAID-5 volume once the hardware state is restored.
  • The RAID-5 volume will not display Healthy status in Disk Management until regeneration is complete.
  • You cannot regenerate RAID-5 volumes with Healthy status.


Reactivate a RAID-5 disk

To reactivate a RAID-5 disk

If the I/O errors are transient, you can try to reactivate the disk.

  1. XOX
  2. XOX
  3. Right-click the partially failed disk, and then click Reactivate Disk.

    4. The RAID-5 volume's status should change to Regenerating, then Healthy.

    If the disk containing part of the RAID-5 volume does not return to Healthy status, see Replace a disk region in the RAID-5 volume.

Notes

  • XOX
  • XOX

Related Topics


Concepts

This section provides general background information about Disk Management.

  • Disk Management overview
  • Understanding Disk Management
  • Using Disk Management
  • Resources


Disk Management overview

The Disk Management snap-in is a system utility for managing hard disks and the volumes, or partitions, that they contain. With Disk Management, you can initialize disks, create volumes, format volumes with the FAT, FAT32, or NTFS file systems, and create fault-tolerant disk systems. Disk Management enables you to perform most disk-related tasks without shutting down the system or interrupting users; most configuration changes take effect immediately.

Disk Management, which replaces the Disk Administrator utility used in Windows NT 4.0, offers many features including:

  • Simplified tasks and intuitive user interface. Disk Management is easy to use. Menus that are accessible from the right mouse button display the tasks you can perform on the selected object, and wizards guide you through creating partitions or volumes and initializing or converting disks.
  • Basic and dynamic disk storage. Basic disks contain basic volumes, such as primary partitions, extended partitions, and logical drives. Use basic disks on portable computers or when you plan to install multiple operating systems in different partitions on the same disk.

    Dynamic disks contain dynamic volumes that offer features not available in basic disks, such as the ability to create fault-tolerant volumes. You can extend or mirror dynamic volumes and add new dynamic disks without restarting the computer.

  • Local and remote disk management. By using Disk Management, you can manage any remote computer running Windows 2000 or XOX on which you are a member of the Administrators group.
  • Mounted drives. You can use Disk Management to connect, or mount, a local drive at any empty folder on a local NTFS-formatted volume. Mounted drives make data more accessible and give you the flexibility to manage data storage based on your work environment and system usage. Mounted drives are not subject to the 26-drive limit imposed by drive letters, so you can use mounted drives to access more than 26 drives on your computer.
  • Logical Disk Manager Service. The Logical Disk Manager Service uses disk groups to maintain information about the current state of disks in your computer.
  • Support for MBR and GPT disks. Disk Management offers support for master boot record (MBR) disks in x86-based computers and support for MBR and GUID partition table (GPT) disks in Itanium-based computers.
  • Manage disks at the command line. Use the command-line tool DiskPart to perform disk-related tasks at the command line as an alternative to using Disk Management. With DiskPart, you can create scripts to automate tasks, such as creating volumes or converting disks to dynamic.


Understanding Disk Management

This section covers:

  • The Disk Management window
  • Storage types and partition styles
  • Windows file systems
  • Basic disks and volumes
  • Dynamic disks and volumes
  • Remote administration


The Disk Management window

The Disk Management window displays disks and volumes in a graphical view and in a list view. You can customize this view by changing the type of information that is displayed in the top and bottom panes and by selecting the colors and patterns used to display volumes and disk regions. To change the way objects are displayed in the Disk Management window, click the View menu, and then click the options you want.


Storage types and partition styles

Windows 2000 and XOX offer two types of disk storage: basic disk and dynamic disk.

Basic disks

A basic disk is a physical disk that contains primary partitions, extended partitions, or logical drives. You can perform the following tasks only on a basic disk:

  • Create and delete primary and extended partitions.
  • Create and delete logical drives within an extended partition.
  • Format a partition and mark it as active.
  • Check disk properties, such as capacity, available free space, and current status.
  • View volume and partition properties such as size, drive letter assignment, label, type, and file system.
  • Establish drive letter assignments for volumes or partitions, optical storage devices (for example CD-ROM), and removable drives.
  • Establish disk sharing and security arrangements for volumes and partitions formatted with NTFS.
  • Convert a basic disk to dynamic.

For more information about converting a disk from basic to dynamic, see Converting a basic disk to dynamic.

For more information about basic disks and volumes, see Basic disks and volumes.

Dynamic disks

Dynamic disks provide features that basic disks do not, such as the ability to create volumes that span multiple disks (spanned and striped volumes), and the ability to create fault-tolerant volumes (mirrored and RAID-5 volumes). All volumes on dynamic disks are known as dynamic volumes. You can perform the following tasks only on a dynamic disk:

  • Create and delete simple, spanned, striped, mirrored, and RAID-5 volumes.
  • Extend a simple or spanned volume.
  • Remove a mirror from a mirrored volume or split the volume into two volumes.
  • Repair mirrored or RAID-5 volumes.
  • Reactivate a missing or offline disk.
  • Check disk properties, such as capacity, available free space, and current status.
  • View volume and partition properties such as size, drive letter assignment, label, type, and file system.
  • Establish drive letter assignments for volumes or partitions, optical storage devices (for example CD-ROM), and removable drives.
  • Establish disk sharing and security arrangements for volumes and partitions formatted with NTFS.
  • Change a dynamic disk to basic.

For more information about dynamic disks and volumes, see Dynamic disks and volumes.

Partition styles

Partition style refers to the method that XOX uses to organize partitions on the disk. All x86-based computers use the partition style known as master boot record (MBR). MBR contains a partition table that describes where the partitions are located on the disk. Because MBR is the only partition style available on x86-based computers, you do not need to choose this style; it is used automatically.

Itanium-based computers running XOX 64-Bit Edition use a new partition style called GUID partition table (GPT). There are some differences between GPT and MBR partition styles, but most disk-related tasks are unchanged. Basic disks and dynamic disks work the same way as in Windows 2000, and these storage types are available on disks that use either partition style. For more information about GPT disks, see GUID partition table (GPT).

Computers running XOX 64-Bit Edition require a GPT disk that contains an Extensible Firmware Interface (EFI) System partition and the files necessary to start the computer. You can also install MBR disks on Itanium-based systems, but you cannot start a system from them. For more information about the Extensible Firmware Interface (EFI) and EFI System partitions, see Extensible Firmware Interface (EFI).

In order to more easily differentiate between disks that use the MBR and GPT partition styles, Disk Management labels disks that use the master boot record partition style as MBR disks, while disks that use the GUID partition table partition style are labeled GPT disks.

The following table depicts storage types and partition styles in Windows 2000 and XOX:

Operating system | Storage types |  |  | Partition styles
 | Basic volumes | Dynamic simple, spanned, and stripped volumes | Dynamic mirrored and RAID-5 volumes | MBR disks | GPT disks
XOX | X |  |  | X |
XOX | X | X |  | X |
Windows 2000 Server | X | X | X | X |
Windows 2000 Advanced Server | X | X | X | X |
Windows 2000 Datacenter Server | X | X | X | X |
XOX 64-Bit Edition | X | X |  | X | X


Windows file systems

Before formatting a volume or partition, consider the file system with which to format it. Windows 2000 and XOX support the NTFS file system, File Allocation Table (FAT), and FAT32. NTFS is the recommended file system for Windows 2000 and XOX because it supports several features that the other file systems do not, such as file and folder permissions, encryption, large volume support, and sparse file management. However, you must format the volume or partition as FAT if you plan to access files on that volume or partition from other operating systems, including MS-DOS, Windows 95, Windows 98, Windows Millennium Edition, and Windows NT 4.0.

Choose NTFS only if you are running Windows 2000 or XOX and you want to take advantage of NTFS features.

The following features are unique to NTFS:

  • Compression
  • Disk quotas
  • Encryption
  • Mount points
  • Remote storage

In addition, NTFS is required on all dynamic disks and GUID partition table (GPT) disks.

For more information about installing multiple operating systems on a volume, see Installing more than one operating system on your computer.


Basic disks and volumes

A basic disk is a physical disk that contains primary partitions, extended partitions, or logical drives. When using basic disks, you are limited to creating four primary partitions per disk, or three primary partitions and one extended partition with unlimited logical drives. Partitions and logical drives on basic disks are known as basic volumes.

Basic volumes include partitions and logical drives within extended partitions on a basic disk. You can only create basic volumes on basic disks.

The number of partitions you can create on a basic disk depends on the disk's partition style:

  • On master boot record (MBR) disks, you can create up to four primary partitions, or you can create up to three primary partitions and one extended partition. Within the extended partition, you can create unlimited logical drives.
  • On GUID partition table (GPT) disks, you can create up to 128 primary partitions. Because GPT disks do not limit you to four partitions, you do not need to create extended partitions or logical drives.

You can add more space to existing primary partitions and logical drives by extending them into adjacent, contiguous unallocated space on the same disk. To extend a basic volume, it must be formatted with the NTFS file system. You can extend a logical drive within contiguous free space in the extended partition that contains it. If you extend a logical drive beyond the free space available in the extended partition, the extended partition grows to contain the logical drive as long as the extended partition is followed by contiguous unallocated space. For instructions describing how to extend a basic volume, see To extend a basic volume.

Always use basic volumes, instead of dynamic volumes, on computers running MS-DOS, Windows 95, Windows 98, Windows Millennium Edition, Windows NT 4.0, or XOX that are configured to dual-boot with XOX. These operating systems cannot access the data stored on dynamic volumes.

Windows 2000 and XOX no longer support multidisk basic volumes created using Windows NT 4.0 or earlier, such as volume sets, mirror sets, stripe sets, or stripe sets with parity. These multidisk basic volumes must be backed up and deleted prior to installing XOX or moving disks to a computer running these operating systems. In Windows 2000, you can restore the data to a basic disk, convert the basic disk to a dynamic disk, and then use dynamic storage to create new spanned volumes, striped volumes, mirrored volumes, or RAID-5 volumes.

For information about using Windows NT 4.0 multidisk basic volumes, see Using Windows NT 4.0 multidisk storage.

For more information about dynamic volumes, see Dynamic disks and volumes.


Dynamic disks and volumes

Dynamic disks provide features that basic disks do not, such as the ability to create volumes that span multiple disks (spanned and striped volumes), and the ability to create fault tolerant volumes (mirrored and RAID-5 volumes). All volumes on dynamic disks are known as dynamic volumes.

There are five types of dynamic volumes: simple, spanned, striped, mirrored, and RAID-5. Mirrored and RAID-5 volumes are fault tolerant and are available only on computers running Windows 2000 Server, Windows 2000 Advanced Server, Windows 2000 Datacenter Server, or XOX. However, you can use a computer running XOX to create mirrored and RAID-5 volumes on these operating systems.

Regardless of whether the dynamic disk uses the master boot record (MBR) or GUID partition table (GPT) partition style, you can create up to 2,000 dynamic volumes per disk group, although the recommended number of dynamic volumes is 32 or less per disk.

For information about managing dynamic volumes, see Manage dynamic volumes.

Limitations of dynamic disks and dynamic volumes

When using dynamic volumes, the following limitations apply:

  • When installing XOX. If a dynamic volume is created from unallocated space on a dynamic disk, you cannot install XOX on that volume. However, you can extend the volume (if it is a simple or spanned volume). This setup limitation occurs because XOX Setup recognizes only dynamic volumes that have an entry in the partition table.
  • Portable computers. XOX If you are using a portable computer and right-click a disk in the graphical or list view in Disk Management, you will not see the option to convert the disk to dynamic.
  • Dual-boot computers. Dynamic volumes (and the data they contain) cannot be accessed by, or created on, computers running MS-DOS, Windows 95, Windows 98, Windows Millennium Edition, Windows NT 4.0, or XOX that are configured to dual-boot with XOX or XOX. If you want computers running these operating systems to be able to access the data, store the data on basic volumes instead. For information about basic volumes, see Basic disks and volumes.
  • When extending a volume. If a basic volume is converted to dynamic (by converting a basic disk to dynamic), it may or may not have an entry in the partition table depending on whether that volume was a system or boot partition. If the converted volume was a system or boot partition it retains an entry in the partition table. You can install XOX on the volume, but you cannot extend it. If the converted volume was not a system or boot volume it does not have an entry in the partition table. You cannot install XOX on the volume, but you can extend it.

    On Windows 2000, volumes converted from partitions have an entry in the partition table. On XOX, volumes converted from partitions do not have an entry in the partition table unless the partitions were system or boot partitions. In Disk Management, you can see if a volume has an entry in the partition table by right-clicking the volume. If Extend Volume is disabled, the volume has an entry in the partition table.

    You can install XOX only on simple and mirrored dynamic volumes, and these volumes must have entries in the partition table (which means that these volumes were system or boot volumes).


Remote administration

You can manage disks that are connected to remote computers, but you must be a member of the Administrators group on both the local and remote computer. Also, the user account and both computers must be members of the same domain or within trusted domains.

Mirrored volumes, RAID-5 volumes, and GUID partition table (GPT) disks are not available on all versions of Windows 2000. The types of volumes and disks you can create depend on the version of Windows 2000 running on the remote computer, not the local computer. For example, you can use a local computer running XOX to create mirrored and RAID-5 volumes on a remote computer that is running Windows 2000 Server, Windows 2000 Advanced Server, or Windows 2000 Datacenter Server.

For information about administering the disk system on another computer, see To manage disks on a remote computer.


Using Disk Management

This section covers:

  • Adding a disk
  • Using NTFS mounted drives
  • Support for removable media
  • Viewing disk or volume status
  • Disk status descriptions
  • Volume status descriptions
  • Using basic disks
  • Using dynamic disks


Adding a disk

When you attach a new disk to your computer, you need to initialize the disk before you can create volumes or partitions. Use basic storage if you want to create partitions and logical drives on the disk or use the disk with other operating systems. Later, you can convert basic storage to dynamic storage if you want to create a spanned, striped, mirrored, or RAID-5 volume. Dynamic storage uses dynamic disks, which cannot be accessed by computers running MS-DOS, Windows 95, Windows 98, Windows Millennium Edition, Windows NT 4.0, or XOX that are configured to dual-boot with XOX or XOX.

To install a disk that is already initialized, see To manage new disks.

To change the storage type for which a disk is initialized, see To change a basic disk into a dynamic disk or To change a dynamic disk back to a basic disk.


Using NTFS mounted drives

You can use Disk Management to mount a local drive at any empty folder on a local NTFS volume. You can format a mounted drive with any file system supported by XOX.

When you mount a local drive at an empty folder on an NTFS volume, Disk Management assigns a drive path to the drive rather than a drive letter. Mounted drives are not subject to the 26-drive limit imposed by drive letters, so you can use mounted drives to access more than 26 drives on your computer. Windows ensures that drive paths retain their association to the drive, so you can add or rearrange storage devices without the drive path failing.

For example, if you have a CD-ROM drive with the drive letter D and an NTFS-formatted volume with the drive letter C, you can mount the CD-ROM drive at an empty folder with the following path: C:\CD-ROM. You can then access the CD-ROM drive directly through the path C:\CD-ROM. If desired, you can remove the drive letter D and continue to access the CD-ROM through the mounted drive path.

Mounted drives make data more accessible and give you the flexibility to manage data storage based on your work environment and system usage. For example, you can:

  • Make the C:\Users folder a mounted drive with NTFS disk quotas in order to track or constrain disk usage without doing the same on drive C.
  • Make the C:\Temp folder a mounted drive to provide additional disk space for temporary files.
  • Move the My Documents folder to another, larger drive when space is low on drive C, and mount it as C:\My Documents.

When using NTFS mounted drives with server clusters, always keep these points in mind:

  • Make sure that you create unique mounted drives so that they do not conflict with existing local drives on any node in the cluster.
  • Do not create mounted drives between disks on the cluster storage device (cluster disks) and local disks.
  • Do not create mounted drives from the cluster disk that contains the quorum resource (the quorum disk). You can, however, create a mounted drive from a cluster disk to the quorum disk.
  • Mounted drives from one cluster disk to another must be in the same cluster resource group, and must be dependent on the root disk.


Support for removable media

In the Graphical View in Disk Management, removable media devices are labeled Removable.

Most removable media devices, such as detachable disks and optical discs (for example, DVD-RAM), already have a primary partition equal to the total size of the media. If the removable media does not have a primary partition, you can create one. However, you cannot mark the partition as active or delete it. You cannot create extended partitions, logical drives, or dynamic volumes on removable media devices.

In addition, on Itanium-based computers, you cannot use the GUID partition table (GPT) partitioning style on removable media.

For instructions describing how to view disks and volumes using the Graphical View, see To display disks and volumes in graphical or list view.


Viewing disk or volume status

If a disk or volume fails, it is important to repair the disk or volume as quickly as possible to avoid data loss. The following figure depicts the disk and volume status columns in Disk Management:

Figure showing disk and volume status

In the Status column of the list view, you can view the status of a disk or volume. The status also appears in the graphical view of each disk or volume. For a description of the status types for volumes, see Volume status descriptions. For a description of the status types for disks, see Disk status descriptions. If the status is not Healthy for volumes or Online for disks, see Troubleshooting.


Disk status descriptions

One of the following disk status descriptions will always appear in the graphical view of the disk and in the Status column of the disk in list view.

Audio CD

The Audio CD status occurs when you have an audio CD in your CD-ROM or DVD-ROM drive.

Foreign

The Foreign status occurs when you move a dynamic disk to the local computer from another computer running Windows 2000, or XOX. The Foreign status can also occur on computers running XOX that are configured to dual-boot with another operating system that uses dynamic disks (such as Windows 2000 Professional). Dynamic disks are not supported on XOX or on portable computers. A warning icon appears on disks that display the Foreign status.

To access data on the disk, you must add the disk to your computer's system configuration. To add a disk to your computer's system configuration, import the foreign disk (right-click the disk and then click Import Foreign Disks). Any existing volumes on the foreign disk become visible and accessible when you import the disk. For instructions describing how to move and import disks, see To move disks to another computer.

In XOX you cannot access data on the disk, but you can convert the disk to a basic disk so that you can use the disk. Converting a dynamic disk to a basic disk destroys all data on the disk.

Warning

  • Do not convert a dynamic disk to a basic disk unless you are certain that you no longer need the data on that disk.
  • To convert the disk to an empty basic disk, see To change a dynamic disk back to a basic disk.

In some cases, a disk that was previously connected to the system can display the Foreign status. Configuration data for dynamic disks is stored on all dynamic disks, so the information about which disks are owned by the system is lost when all dynamic disks fail.

For instructions describing how to fix disks with Foreign status, see Troubleshooting.

Initializing

The Initializing status is a temporary status that occurs when you convert a basic disk into a dynamic disk. When initialization is complete, the disk's status changes to Healthy.

Missing

The Missing status occurs when a dynamic disk is corrupted, turned off, or disconnected. Instead of appearing in the status column, the Missing status is displayed as the disk name. After you reconnect or turn on the missing disk, open Disk Management, right-click the missing disk, and then click Reactivate Disk.

For instructions describing how to fix disks with Missing status, see Troubleshooting.

No Media

The No media status occurs when the CD-ROM, DVD-ROM, or removable drive is empty. The status changes to Online or Audio CD when you insert the appropriate media into the drive. Only CD-ROM, DVD-ROM, or removable disk types display the No Media status.

Not Initialized

The Not Initialized status occurs when a disk does not contain a valid signature. After you install a new disk, XOX must write a master boot record (MBR) or GUID partition table (GPT) before you can create partitions on the disk. When you first start Disk Management after installing a new disk, a wizard providing a list of the new disks detected by XOX is displayed. If you cancel the wizard before the disk signature is written, the disk status remains Not Initialized until you right-click the disk and then click Initialize Disk. The disk status briefly changes to Initializing and then Healthy status.

For instructions describing how to fix disks with Not Initialized status, see Troubleshooting.

Online

The Online status occurs when a basic or dynamic disk is accessible and has no known problems. This is the normal disk status. No user action is required.

Online (Errors)

The Online (Errors) status occurs when I/O errors are detected on a region of a dynamic disk. A warning icon appears on the dynamic disk with errors.

If the I/O errors are temporary, reactivate the disk. This returns the disk to the Online status.

For instructions describing how to fix disks with Online (Errors) status, see Troubleshooting.

Offline

The Offline status occurs when a dynamic disk is not accessible. The dynamic disk may be corrupted or intermittently unavailable. An error icon appears on the offline dynamic disk.

If the disk status is Offline and the disk's name changes to Missing, the disk was recently available on the system but can no longer be located or identified. The missing disk may be corrupted, powered down, or disconnected.

To bring a disk that is Offline and Missing back online

Repair any disk, controller, or cable problems and make sure that the physical disk is turned on, plugged in, and attached to the computer. In Disk Management, right-click the disk and then click Reactivate Disk to bring the disk back online.

If the disk status remains Offline and the disk name remains Missing, and you determine that the disk has a problem that cannot be repaired, you can remove the disk from the system (using the Remove Disk command). However, before you can remove the disk, you must delete all volumes (or mirrors) on the disk. You can save any mirrored volumes on the disk by removing the mirror instead of the entire volume. Deleting a volume destroys the data in the volume, so you should remove a disk only if you are absolutely certain that the disk is permanently damaged and unusable.

To bring a disk that is Offline and is still named Disk # (not Missing) back online

In Disk Management, right-click the disk and then click Reactivate Disk to bring the disk back online. If the disk status remains Offline, check the cables and disk controller, and make sure that the physical disk is healthy. Correct any problems and try to reactivate the disk again. If the disk reactivation succeeds, any volumes on the disk should automatically return to the Healthy status.

For instructions describing how to fix disks with Offline status, see Troubleshooting.

Unreadable

The Unreadable status occurs when either a basic or dynamic disk is not accessible. The disk may have experienced hardware failure, corruption, or I/O errors. The disk's copy of the system's disk configuration database may be corrupted. An error icon appears on disks that display the Unreadable status.

Disks may display the Unreadable status while they are spinning up or when Disk Management is rescanning all of the disks on the system. In some cases, an unreadable disk has failed and is not recoverable. For dynamic disks, the Unreadable status usually results from corruption or I/O errors on part of the disk, rather than failure of the entire disk. You can rescan the disks (click Action and then click Rescan Disks) or restart the computer to see if the disk status changes.

For instructions describing how to fix disks with Unreadable status, see Troubleshooting.


Volume status descriptions

In Disk Management, one of the following volume status descriptions will always appear in the graphical view of the volume and in the Status column of the volume in list view.

Failed

The Failed status occurs when a basic or dynamic volume cannot be started automatically, the disk is damaged, or the file system is corrupt. This status also occurs after importing a volume with Data Incomplete status. An error icon appears on the failed volume. Unless the disk or file system can be repaired, the Failed status indicates data loss.

If the volume is a basic volume, make sure that the underlying physical disk is turned on, plugged in, and attached to the computer. No other user action is possible for basic volumes.

If the volume is a dynamic volume, make sure the underlying dynamic disks are online. If the disks are not online you should reactivate them. If this succeeds, the volume automatically restarts and returns to the Healthy status. For instructions describing how to bring a disk online, see To reactivate a missing or offline dynamic disk.

If the underlying dynamic disk returns to the Online status, but the dynamic volume does not return to the Healthy status, you can reactivate the volume manually. For instructions describing how to reactivate a volume, see To reactivate a dynamic volume.

If the volume is a mirrored or RAID-5 volume with old data, bringing the underlying disk online automatically reactivates the volume. If the disks that contain current data are disconnected, you should bring those disks online first (to allow the data to become synchronized). Otherwise, reactivate the mirrored or RAID-5 volume manually, and then run Chkdsk.exe.

For instructions describing how to reactivate a volume, see To reactivate a dynamic volume. To run Chkdsk.exe, click Start, click Run, type chkdsk, and then click OK.

For instructions describing how to fix volumes with Failed status, see Troubleshooting.

Failed Redundancy

The Failed Redundancy status occurs when the data on a mirrored or RAID-5 volume is no longer fault tolerant because one of the underlying disks is not online. A warning icon appears on the volume with failed redundancy.

Volumes with the Failed Redundancy status often display an associated substatus (in parentheses). A volume may only display one substatus at a time. The substatus is displayed according to the order in which they appear in the table below. For example, if you have only one volume which serves as the boot volume, system volume, active volume, page file, and crash dump, its status is displayed as Failed Redundancy (System). However, if an error occurs on a mirrored or RAID-5 volume, the (At Risk) substatus takes precedence.

Failed Redundancy (substatuses) | Description
System | Indicates that the volume is the system volume.
Boot | Indicates that the volume is the boot volume.
Page File | Indicates that the volume holds the paging file. For more information about the paging file, see System Properties overview.
Crash Dump | Indicates that the volume holds the crash dump, also known as a memory dump. The memory dump is used to record the contents of the system memory when XOX stops unexpectedly. For more information about the different types of memory dumps available, see Specify what happens when the system stops unexpectedly.
At Risk | Indicates that the data on a mirrored or RAID-5 volume is no longer fault tolerant because one of the disks has failed and I/O errors have been detected on the remaining dynamic disks. If an I/O error is detected on any part of a disk, a warning icon appears on all dynamic volumes on the disk. Dynamic volumes that are not fault tolerant display the Healthy (At Risk) status. When the volume status is Failed Redundancy (At Risk), the underlying disk's status is usually Online (Errors). You should reactivate the disk to return it to Online status, and then the volume status should change to Failed Redundancy.

You can continue to access the volume using the remaining online disks, but if another disk that contains the volume fails, you will lose the volume and its data. To avoid such loss, you should attempt to repair the volume as soon as possible:

  • If an underlying disk is not online, reactivate the disk (right-click the disk and then click Reactivate Disk). If disk reactivation succeeds, the volume automatically repairs itself and returns to the Healthy status. A mirrored volume repairs itself by resynchronizing the data in its mirrors. A RAID-5 volume repairs itself by regenerating its parity and data.
  • If the disk returns to the Online status, but the volume does not return to the Healthy status, you can reactivate the volume manually (right-click the volume and then click Reactivate Volume).
  • If the disk does not return to the Online status and the volume does not return to the Healthy status, there may be something wrong with the disk. You should replace the failed mirror or RAID-5 disk region. To replace the failed mirror in a mirrored volume, right-click the failed mirror and then click Remove Mirror, and then right-click the disk and click Add Mirror to create a new mirror on another disk. To replace the failed disk region in a RAID-5 volume, right-click the RAID-5 volume and then click Repair Volume.

For more information about how to fix mirrored or RAID-5 volumes with Failed Redundancy status, see Troubleshooting.

Formatting

The Formatting status is a temporary status that occurs only while a volume is being formatted with a file system. As the volume is being formatted, the amount of the volume formatted is shown as a percentage. When formatting is complete, the volume status changes to Healthy.

Healthy

The Healthy status is the normal volume status on both basic and dynamic volumes when the volume is accessible and has no known problems. No user action is required.

Volumes with the Healthy status often display an associated substatus (in parentheses). A volume may only display one substatus at a time. The substatus is displayed according to the order in which it appears in the table below. For example, if you have only one volume which serves as the boot volume, system volume, active volume, page file, and crash dump, its status is displayed as Healthy (System). However, if an error occurs on a dynamic volume, the (At Risk) substatus takes precedence.

Healthy (substatuses) | Description
System | Indicates that the volume is the system volume.
Boot | Indicates that the volume is the boot volume.
Page File | Indicates that the volume holds the paging file. For more information about the paging file, see System Properties overview.
Active | Indicates that the volume is an active volume on a basic disk. For more information about making a volume the active volume, see Mark a partition as active.
Crash Dump | Indicates that the volume holds the crash dump, also known as a memory dump. The memory dump is used to record the contents of the system memory when Windows XP or XOX stops unexpectedly. For more information about the different types of memory dumps available, see Specify what happens when the system stops unexpectedly.
Hibernation Partition | Indicates that the volume is an original equipment manufacturer (OEM) hibernation partition, which is used on some laptops to save the current state of the system during hibernation. For more information about hibernation, see Managing power on a portable computer.
GPT Protective Partition | On x86-based computers, indicates that the volume is a GUID partition table (GPT) disk. The GPT Protective Partition contains the Protective MBR to prevent disk utilities on x86-based computers from accidentally destroying GPT partitions.
EFI System Partition | Indicates that the volume is the Extensible Firmware Interface (EFI) system partition on a GPT disk.
EISA Configuration | Indicates that the volume is an original equipment manufacturer (OEM) partition.
Unknown Partition | Indicates that the partition is not recognized. Partitions on master boot record (MBR) or GUID partition table (GPT) disks with Healthy (Unknown Partition) status might be an unrecognized original equipment manufacturer (OEM) partition, OEM partition, or non-XOX operating system partition. You cannot format, assign drive letters or mount points to, or access data on partitions with Healthy (Unknown Partition) status. You can, however, delete these partitions using Disk Management or the DiskPart command. For instructions describing how to delete partitions, see To delete a partition or logical drive.
At Risk | Indicates that the dynamic volume is currently accessible, but I/O errors have been detected on the underlying dynamic disk. If an I/O error is detected on any part of a dynamic disk, all volumes on the disk display the Healthy (At Risk) status and a warning icon appears on the volume. When the volume status is Healthy (At Risk), an underlying disk's status is usually Online (Errors). You should reactivate the underlying disk to return it to Online status, and then the volume should return to the Healthy status. If the Healthy (At Risk) status persists, the disk might be failing. Back up the data and replace the disk as soon as possible. For instructions describing how to fix volumes with Healthy (At Risk) status, see Troubleshooting.

Regenerating

The Regenerating status occurs when adding a mirror, importing a mirrored volume, when a missing disk is reactivated, and when data and parity are being regenerated for a RAID-5 volume. No user action is required. When regeneration is complete, the volume's status returns to Healthy. You can access a RAID-5 volume while data and parity regeneration is in progress.

Resynching

The Resynching status occurs when creating a mirror or restarting a computer with a mirrored or RAID-5 volume, or when a mirrored volume is being resynchronized so that both mirrors contain identical data. No user action is required. When resynchronization is complete, the mirrored volume's status returns to Healthy. Resynchronization may take some time, depending on the size of the mirrored volume. Although you can access a mirrored volume while resynchronization is in progress, you should avoid making configuration changes (such as breaking a mirror) during resynchronization.

Volumes with the Resynching status often display an associated substatus (in parentheses). The table below lists the possible substatuses displayed by volumes with Resynching status:

Resynching (substatuses) | Description
System | Indicates that the volume is the system volume.
Boot | Indicates that the volume is the boot volume.
Page File | Indicates that the volume holds the paging file. For more information about the paging file, see System Properties overview.
Crash Dump | Indicates that the volume holds the crash dump, also known as a memory dump. The memory dump is used to record the contents of the system memory when XOX stops unexpectedly. For more information about the different types of memory dumps available, see Specify what happens when the system stops unexpectedly.

Unknown

The Unknown status occurs when the boot sector for the volume is corrupted (possibly due to a virus) and you can no longer access data on the volume. The Unknown status also occurs when you install a new disk but do not follow the wizard to create a disk signature.

For instructions describing how to fix volumes with Unknown status, see Troubleshooting.

When importing disks, all volumes on those disks display the OK condition in the Foreign Disk Volumes dialog box unless there are problems with the volumes. When importing mirrored or RAID-5 volumes, these problems might be Data Incomplete, Data Not Redundant, or Stale Data.

Data Incomplete

The Data Incomplete status is displayed in the Foreign Disk Volumes dialog box, and occurs when data spans multiple disks, but not all of the disks were moved. Data on this volume will be destroyed unless you move the remaining disks that contain this volume, and then import all of the disks at the same time. You cannot import the missing disks at a later time to restore the data.

For instructions describing how to fix volumes with Data Incomplete status, see Troubleshooting.

Data Not Redundant

The Data Not Redundant status is displayed in the Foreign Disk Volumes dialog box when you import all but one of the disks in a mirrored or RAID-5 volume. In Disk Management, the imported half of the mirrored volume receives Failed Redundancy status, while the disk that holds the half of the mirror that was not imported receives Missing status. RAID-5 volumes receive Failed Redundancy status.

To prevent the Data Not Redundant status from occurring, connect all disks that belong to the mirrored or RAID-5 volume to the computer at the same time, and then import all of the disks together. For mirrored volumes, you can import the Missing disk at a later time to restore redundancy.

For instructions describing how to fix volumes with Data Not Redundant status, see Troubleshooting.

Stale Data

The Stale Data status is displayed in the Foreign Disk Volumes dialog box, and occurs when a mirrored or RAID-5 volume has stale mirror information, stale parity information, or I/O errors.

For instructions describing how to fix mirrored or RAID-5 volumes with Stale Data status, see Troubleshooting.


Using basic disks

This section covers:

  • Working with partitions
  • Converting a basic disk to dynamic
  • Using Windows NT 4.0 multidisk storage


Working with partitions

Use partitions on a basic disk just as you do with Windows, except changes to the disk take effect immediately; you no longer have to restart your computer for the changes to take effect.

You can create up to four primary partitions per disk, or you can create three primary partitions and an extended partition. You can use the free space in the extended partition to create unlimited logical drives. You cannot use it to create volume sets or other kinds of fault-tolerant volumes.

To add a new partition or logical drive, see To create a partition or logical drive. Changes made by Disk Management are effective immediately. Unless you are making a change that affects existing files on the disk, the system implements your change without confirmation.

See Manage basic volumes for procedural information about the following:

  • To format a basic volume
  • To assign, change, or remove a drive letter
  • To mark a partition as active
  • To delete a partition or logical drive


Converting a basic disk to dynamic

XOX Setup and Disk Management ensures that disks initialized by XOX can be converted to dynamic disks. Dynamic disks provide features that basic disks do not, such as the ability to create multidisk volumes, such as striped, mirrored, and RAID-5 volumes. Before you convert disks, close any programs that are running on those disks.

After you convert a basic disk into a dynamic disk, any existing partitions on the basic disk become (dynamic) simple volumes. You cannot change the dynamic volumes back to partitions.

Dynamic disks cannot be directly accessed by MS-DOS, Windows 95, Windows 98, Windows Millennium Edition, Windows NT, or XOX, so you cannot start these operating systems on dynamic disks. However, shared folders on dynamic disks are available across a network to computers running all of these operating systems.

Access to dynamic disks is further restricted by the partition style used on the dynamic disk:

  • Only x86-based computers running Windows 2000 or XOX, or Itanium-based computers running XOX 64-bit Edition can access dynamic MBR disks.
  • Only Itanium-based computers running XOX 64-Bit Edition can access dynamic GUID partition table (GPT) disks.

In order to successfully convert a basic disk to a dynamic disk:

  • Master boot record (MBR) disks must have at least 1 megabyte (MB) of free space at the end of the disk for the dynamic disk database. Disk Management and Setup automatically reserve this free space when creating partitions or logical drives on a disk, but disks with partitions or volumes created by other operating systems might not have this free space available. GUID partition table (GPT) disks do not require 1 MB of unallocated space at the end of the disk. Instead, Disk Management uses space from the Microsoft Reserved (MSR) partition to create a separate partition for the dynamic disk database.
  • GUID partition table (GPT) disks must have contiguous, recognized data partitions with XOX file systems on them. If an unrecognized partition (for example, created by another operating system or utility that used partition type GUIDs not supported by XOX 64-Bit Edition) exists between two recognized partitions, you cannot convert the GPT disk to dynamic.
  • The disk must not be removable media. You cannot convert removable media devices to dynamic volumes. Removable media devices can contain only primary partitions.
  • The disk must not be in a portable computer. XOX and XOX do not support dynamic disks in portable computers.
  • The sector size must be 512 bytes. Otherwise, you cannot convert a basic disk to a dynamic disk. You can use the chkdsk command to determine the disk's sector size.

Other conversion considerations

Converting a basic disk to a dynamic disk also impacts the following:

  • Reinstalling XOX. You can perform a fresh installation of XOX on a dynamic volume only if that volume was converted from a basic volume and it retained an entry in the partition table. Simple volumes converted from basic disks on XOX do not have an entry in the partition table unless they were system or boot volumes prior to conversion. This information is required to perform fresh installations of XOX on dynamic volumes.
  • Boot and system partitions. You can convert a basic disk containing the system or boot partitions to a dynamic disk. After the disk is converted, these partitions become simple system or boot volumes (after restarting the computer). You cannot mark an existing dynamic volume as active. You can convert a basic disk containing the boot partition (which contains the XOX operating system) to a dynamic disk. After the disk is converted, the boot partition becomes a simple boot volume (after restarting the computer).
  • Conversion failures. If you convert a boot disk, or if a volume or partition is in use on the disk you attempt to convert, you must restart the computer for the conversion to succeed. If any of the following conditions occur, the conversion can fail after the computer restarts:
    • If you disconnect all existing dynamic disks while the computer is restarting.
    • If you replace a disk or set of disks to be converted while the computer is restarting. (Disk Management detects that the disk has changed and the conversion may fail.)
    • If you change the disk layout of a disk to be converted.
    • If the disk has I/O errors during the conversion.
  • Mirroring the boot and system volumes. After you convert the disk containing the boot and system partitions to a dynamic disk, you can mirror the boot and system volumes onto another dynamic disk. Then, if the disk containing the boot and system volumes fails, you can start the computer from the disk containing the mirrors of these volumes.
  • When the conversion takes place. System and boot partitions are converted to dynamic volumes after the computer is restarted. All other partitions and basic volumes are converted immediately. However, if a partition or basic volume on the disk that you are converting is in use, an event known as "force dismounting" occurs, which means that any programs using the volume are automatically disconnected. If the volume cannot be force dismounted (for example, there is an active paging file on the volume), then the disk conversion does not complete until you restart the computer.
  • Other operating systems. If you convert a disk with a partition that contains an operating system other than Windows 2000 or XOX, you will not be able to start the computer from that operating system after the conversion.
  • Reverting back to basic disks. After you convert a basic disk into a dynamic disk, you cannot change the dynamic volumes back to partitions. Instead, you must delete all dynamic volumes on the disk and then use the Convert To Basic Disk command.

For a description of the procedure for converting a basic disk into a dynamic disk, see To upgrade a basic disk to a dynamic disk.


Using Windows NT 4.0 multidisk storage

Windows 2000 and XOX do not support mirror sets, stripe sets, stripe sets with parity, or volume sets created in Windows NT 4.0. These multidisk volumes must be backed up and deleted, or otherwise converted to dynamic disks prior to installing XOX. If you did not back up the volumes before you upgraded to XOX, you can access these volumes using the ftonline utility. You can install the ftonline utility using the Support Tools setup program located in the \support\tools folder on the Windows XP CD.

In XOX, you can use dynamic disks to create the equivalent types of multidisk storage found on basic disks in Windows NT 4.0.

Windows NT 4.0 Storage Type | XOX Storage Type
mirror set | mirrored volume
stripe set | striped volume
stripe set with parity | RAID-5 volume
volume set | spanned volume

Mirrored volumes and RAID-5 volumes are not available on XOX or XOX and cannot be extended.


Using dynamic disks

  • Using simple volumes
  • Using spanned volumes
  • Using striped volumes
  • Using mirrored volumes
  • Using RAID-5 volumes


Using simple volumes

A simple volume is a portion of a physical disk that functions as though it were a physically separate unit. Simple volumes are the dynamic storage equivalent of primary partitions in Windows NT 4.0 or earlier. When you have only one dynamic disk, they are the only kind of volume that you can create.

Creating and extending simple volumes

You can create simple volumes only on dynamic disks. Simple volumes cannot contain partitions or logical drives, nor can they be accessed by MS-DOS or by a Windows operating systems other than Windows 2000 or XOX. You should create partitions instead of dynamic volumes if your computer also runs Windows NT 4.0 or earlier, Windows 95, Windows 98, Windows Millennium Edition, or MS-DOS.

You can increase the size of an existing simple volume by extending the volume onto unallocated space on the same disk or a different disk. To extend a simple volume, the volume must be unformatted or formatted with the version of NTFS used in Windows 2000 or XOX. On XOX, simple volumes can be extended unless they are system partitions, boot partitions, or simple volumes that were formerly partitions on basic disks that were converted to dynamic using Windows 2000. By extending the simple volume on the same disk, the volume remains a simple volume and you can still mirror it.

You can also extend a simple volume to regions on other dynamic disks on the same computer. When you extend a simple volume to one or more other disks, it becomes a spanned volume. After a spanned volume is extended, no portion of it can be deleted without deleting the entire spanned volume. Spanned volumes cannot be mirrored or striped.

For procedures on creating and extending simple volumes, see Manage simple volumes.

Assigning drive letters

You can create more than 26 volumes with Windows, but you cannot assign more than 26 drive letters for accessing these volumes. Drive letters A and B are reserved for floppy disk drives, but you can assign these letters to removable drives if the computer does not have a floppy disk drive. Hard disk drives in the computer receive letters C through Z, while mapped network drives are assigned drive letters in reverse order (Z through B).

Windows enables the static assignment of drive letters. This means that drive letters are permanently assigned to a specific hard disk and volume. When a new hard disk is added to an existing computer system, it does not affect statically assigned drive letters.

You should be careful when making drive-letter assignments because many programs for MS-DOS and Windows make references to a specific drive letter. The path environment variable shows specific drive letters with program names.

Volumes created after the 26th drive letter has been used must be accessed using volume mount points, as described in Using NTFS mounted drives.

Formatting and labeling volumes

Before you can store files and directories on the volumes that you have created, you must first format each volume for use with the file system that you want to work with. You can also assign descriptive volume labels at this time.

If a volume uses NTFS formatting, you can enable data compression. Before you can format a volume, you must assign it either a drive letter or a mount point, if it does not already have one.

To format a volume, see To format a dynamic volume.

Deleting volumes

Before deleting volumes, you need to make sure the information on them has been backed up onto another storage medium and verified, or that the data is no longer needed. XOX does not allow you to delete the system volume or boot volume.


Using spanned volumes

Spanned volumes combine areas of unallocated space from multiple disks into one logical volume, allowing you to more efficiently use all of the space and all drive letters on a multiple-disk system.

When you need to create a volume but do not have enough unallocated space for the volume on a single disk, you might be able to create a volume of sufficient size by combining sections of unallocated space from multiple disks into one spanned volume. The areas of unallocated space used to create spanned volumes can be different sizes. Spanned volumes are organized so that the space allocated to the volume on one disk gets filled up and then, starting at the next disk, the space allocated to the volume on that disk gets filled up.

Spanned volumes allow you to get more data on a disk without using mount points. By combining the space used by multiple disks into one spanned volume, you can free drive letters for other uses and enable the creation of a large volume for file system use.

Increasing the capacity of an existing volume is called extending. Existing spanned volumes formatted with the NTFS file system can be extended by the amount of unallocated space on all disks. However, after a spanned volume is extended, no portion of it can be deleted without deleting the entire spanned volume. Disk Management formats the new area without affecting any existing files on the original spanned volume. You cannot extend spanned volumes formatted with the FAT file system.

Before making any changes to spanned volumes, you should first back up all the information on the volume.

For procedures on working with spanned volumes, see Manage spanned volumes.

Caution

  • Spanned volumes cannot be mirrored or striped and do not offer fault tolerance. If one of the disks containing a spanned volume fails, the entire volume fails and all the data on it is lost.

You can create spanned volumes on dynamic disks only. You need at least two dynamic disks to create a spanned volume. MS-DOS, Windows 95, Windows 98, Windows NT 4.0, XOX, and other operating systems lacking dynamic storage capability cannot recognize any spanned volumes created by Windows 2000 or XOX. Therefore, if you create a spanned volume on a dual-boot computer, the disks that make up that volume become unusable by those operating systems.


Using striped volumes

Striped volumes are created by combining areas of free space on two or more disks into one logical volume. Striped volumes use RAID-0, which stripes data across multiple disks. Striped volumes cannot be extended or mirrored, and do not offer fault tolerance. If one of the disks containing a striped volume fails, the entire volume fails. When creating striped volumes, it is best to use disks that are the same size, model, and manufacturer.

With a striped volume, data is divided into blocks and spread in a fixed order among all the disks in the array, similar to spanned volumes. Striping writes files across all disks so that data is added to all disks at the same rate.

Despite their lack of fault tolerance, striped volumes offer the best performance of all the Windows disk management strategies and provide increased I/O performance by distributing I/O requests across disks. For example, striped volumes offer improved performance when:

  • Reading from or writing to large databases.
  • Collecting data from external sources at very high transfer rates.
  • Loading program images, dynamic-link libraries (DLLs), or run-time libraries.

MS-DOS, Windows 95, Windows 98, Windows Millennium Edition, Windows NT 4.0, XOX, and other operating systems lacking dynamic storage capability cannot recognize any striped volumes created by Windows 2000 or XOX. Therefore, if you create a striped volume on a dual-boot computer, that volume becomes unusable by those operating systems.

For instructions on creating a striped volume, see Create a striped volume.


Using mirrored volumes

A mirrored volume is a fault-tolerant volume that provides data redundancy by using two copies, or mirrors, of the volume to duplicate the data stored on the volume. All data written to the mirrored volume is written to both mirrors, which are located on separate physical disks. If one of the physical disks fails, the data on the failed disk becomes unavailable, but the system continues to operate using the unaffected disk. When one of the mirrors in a mirrored volume fails, you must break the mirrored volume to expose the remaining mirror as a separate volume with its own drive letter. You can then create a new mirrored volume with unused free space of the same size or greater on another disk.

Mirrored volumes are available on all computers running Windows 2000 Server, Windows 2000 Advanced Server, and Windows 2000 Datacenter Server. Mirrored volumes are not available on computers running Windows 2000 Professional, XOX, XOX, or XOX 64-Bit Edition. However, you can use a computer running Windows 2000 Professional or XOX to create mirrored volumes on a remote computer running Windows 2000 Server, Windows 2000 Advanced Server, or Windows 2000 Datacenter Server.

Because dual-write operations can degrade system performance, many mirrored volume configurations use duplexing, where each disk in the mirrored volume resides on its own disk controller. A duplexed mirrored volume has the best data reliability because the entire I/O subsystem is duplicated: if one disk controller fails, the other controller (and thus the disk on that controller) continues to operate normally. If you do not use two controllers, a failed controller makes both mirrors in a mirrored volume inaccessible until the controller is replaced.

Almost any volume can be mirrored, including the system and boot volumes. You cannot extend a mirrored volume to increase the size of the volume later. On Itanium-based computers, you cannot mirror the EFI System partition on GUID partition table (GPT) disks.

When you mirror the system or boot volumes, you can make the configuration more fault tolerant by using a separate disk controller for each disk in the mirrored volume. This approach enables your computer to survive hard disk or disk controller failures. When creating mirrored volumes, it is best to use disks that are the same size, model, and manufacturer. If you are using duplexing it is recommended that you use identical disks and controllers, especially if you plan to mirror the system or boot volumes.

Important

  • When mirroring the system volume, always test to make sure you can start XOX from each mirror in the event that one of the disks fails. Always use identical disks and controllers to help avoid startup problems.

Advantages of mirrored volumes

Mirrored volumes, which use RAID-1, are slower than RAID-5 volumes in read operations but are faster in write operations. Random disk-read operations on mirrored volumes are more efficient than on a simple volume and have similar performance as striped volumes. Windows 2000 has the capacity to load balance read operations across the physical disks. With current SCSI and Fibre Channel technology, two disk read operations can be done simultaneously.

Unlike RAID-5 volumes, a mirrored volume that loses redundancy causes the least impact on system performance because the remaining disk contains all of the data; no data recomputation is needed to run the system. When you configure your boot volume on a mirrored volume, you do not have to reinstall Windows 2000 to restart the computer after a disk failure.

When compared to a RAID-5 volume, a mirrored volume:

  • Has a lower cost because it requires only two disks; a RAID-5 volume requires three or more disks.
  • Requires less system memory.
  • Provides good overall performance.
  • Does not degrade performance during a failure except when high-volume read operations are performed. However, if a single write error occurs, redundancy is lost.

Disadvantages of mirrored volumes

Disk-write operations on mirrored volumes are less efficient because data must be written to both disks. However, this performance penalty is offset slightly because writes on both disks can usually take place concurrently.

Another performance penalty occurs when the system resynchronizes a mirrored volume. Resynchronization is the process by which a mirrored volume's mirrors are made to contain identical data. During resynchronization, performance is affected because the computer is performing many I/O operations to copy the data.

When compared to a RAID-5 volume, a mirrored volume:

  • Has a higher cost per gigabyte.
  • Is less efficient in terms of space usage. Because the data is duplicated, the space requirements for a mirrored volume are higher than for a RAID-5 volume.

For step-by-step procedures on how to create, break, or repair a mirrored volume, or to add a mirror to or remove a mirror from an existing mirrored volume, see Manage mirrored volumes.


Using RAID-5 volumes

A RAID-5 volume is a fault-tolerant volume with data and parity striped intermittently across three or more physical disks. If a portion of a physical disk fails, you can recreate the data that was on the failed portion from the remaining data and parity. RAID-5 volumes are a good solution for data redundancy in a computer environment in which most activity consists of reading data.

RAID-5 volumes have better read performance than mirrored volumes. However, when a member is missing, such as when a disk has failed, the read performance is degraded by the need to recover the data with the parity information. Nevertheless, this strategy is recommended over mirrored volumes for programs that require redundancy and are primarily read-oriented. Write performance is reduced by the parity calculation. Also, a write operation requires three times more memory than a read operation during normal operation. Moreover, when a volume fails, reading requires at least three times more memory than before the failure. Both conditions are caused by the parity calculation.

RAID-5 volumes include one parity block per stripe. Therefore, you must use at least three, rather than two, disks to allow for the parity information. Parity stripes are distributed across all the volumes to balance the I/O load.

RAID-5 provides data redundancy at a cost of only one additional disk for the volume. However, recovery from the failure of a disk in a RAID-5 volume is more time-consuming than for a mirrored volume. When you want to recover the space in a RAID-5 volume for other purposes, be sure to back up the information in it first, if you want to reuse that information. Then delete the volume.

RAID-5 volumes are not available on XOX or XOX and cannot be mirrored or extended. You can, however, use a computer running XOX to create RAID-5 volumes on remote computers running Windows 2000 Server, Windows 2000 Advanced Server, or Windows 2000 Datacenter Server.

For procedures about how to create and repair RAID-5 volumes, see Manage RAID-5 volumes.


Managing disks and volumes from the command line

In addition to using the Disk Management snap-in, you can use command-line utilities to manage disks and volumes.

For example, you can use:

  • Chkdsk to check disks for errors and repair any errors found.
  • Convert to change FAT or FAT32 volumes into NTFS volumes.
  • DiskPart to extend basic or dynamic volumes, add or break mirrors, assign or remove a disk's drive letter, create or delete partitions and volumes, convert basic disks to dynamic disks, or convert master boot record (MBR) disks to GUID partition table (GPT) disks, import disks and bring offline disks and volumes online.
  • Format to format a volume or mounted drive with a file system.
  • Fsutil to perform many NTFS file system related tasks, such as managing disk quotas, dismounting a volume, or querying volume information. Because fsutil is quite powerful, it should only be used by advanced users who have a thorough knowledge of XOX.
  • Mountvol to mount a volume at an NTFS folder or unmount the volume from the NTFS folder.

For information about other command-line utilities, see Command-line reference. For more information about manageability, see Management and Administration.


Resources

  • Windows family at the Microsoft Web site (http://www.microsoft.com)
  • Microsoft TechNet at the Microsoft Web site (http://www.microsoft.com/)
  • Microsoft TechNet compact discs
  • Microsoft support at the Microsoft Web site (http://www.microsoft.com)
  • Disk Management at the Microsoft Windows Resource Kits Web site (http://www.microsoft.com/)


Glossary of Disk Management terms

active partition

allocation unit size

basic disk

basic volume

BIOS

boot volume

change journal

cluster

disk

drive

dynamic disk

dynamic volume

extended partition

Extensible Firmware Interface (EFI)

EFI system partition

FAT

FAT32

fault tolerance

free space

GUID partition table (GPT)

Itanium

logical drive

master boot record (MBR)

Microsoft Reserved (MSR) partition

mirror

mirrored volume

NTFS

paging file

parity

partition

primary partition

protective MBR

RAID

RAID-5 volume

region

simple volume

spanned volume

striped volume

system volume

unallocated space

volume

x86

XOR


Troubleshooting

What problem are you having?

A basic disk's status is Not Initialized.

Cause:

The disk does not contain a valid signature. After you install a new disk, XOX must write a disk signature, the end of sector marker (also called signature word), and a master boot record or GUID partition table before you can create partitions on the disk. When you first start Disk Management after installing a new disk, a wizard providing a list of the new disks detected by XOX is displayed. If you cancel the wizard before the disk signature is written, the disk status remains Not Initialized.

Solution:

Initialize the disk. The disk status briefly changes to Initializing and then Healthy status. For instructions describing how to initialize a disk, see To initialize new disks.

For more information about disk status descriptions, see Disk status descriptions.

A basic or dynamic disk's status is Unreadable.

Cause:

The basic or dynamic disk is not accessible and might have experienced hardware failure, corruption, or I/O errors. The disk's copy of the system's disk configuration database might be corrupted. An error icon appears on disks that display the Unreadable status.

Disks might also display the Unreadable status while they are spinning up or when Disk Management is rescanning all of the disks on the system. In some cases, an unreadable disk has failed and is not recoverable. For dynamic disks, the Unreadable status usually results from corruption or I/O errors on part of the disk, rather than failure of the entire disk.

Solution:

Rescan the disks or restart the computer to see if the disk status changes. For instructions describing how to rescan the disks, see To update disk information.

For more information about disk status descriptions, see Disk status descriptions.

A dynamic disk's status is Foreign.

Cause:

The Foreign status occurs when you move a dynamic disk to the local computer from another computer running Windows 2000 or XOX. A warning icon appears on disks that display the Foreign status.

In some cases, a disk that was previously connected to the system can display the Foreign status. Configuration data for dynamic disks is stored on all dynamic disks, so the information about which disks are owned by the system is lost when all dynamic disks fail.

Solution:

Add the disk to your computer's system configuration so that you can access data on the disk. To add a disk to your computer's system configuration, import the foreign disk (right-click the disk and then click Import Foreign Disks). Any existing volumes on the foreign disk become visible and accessible when you import the disk.

For more information about disk status descriptions, see Disk status descriptions.

A dynamic disk's status is Online (Errors).

Cause:

The dynamic disk has I/O errors on a region of the disk. A warning icon appears on the dynamic disk with errors.

Solution:

If the I/O errors are temporary, reactivate the disk to return it to Online status. For instructions describing how to bring the disk back online, see To reactivate a missing or offline dynamic disk.

For more information about disk status descriptions, see Disk status descriptions.

A dynamic disk's status is Offline or Missing.

Cause:

An Offline dynamic disk might be corrupted or intermittently unavailable. An error icon appears on the offline dynamic disk.

If the disk status is Offline and the disk's name changes to Missing, the disk was recently available on the system but can no longer be located or identified. The missing disk may be corrupted, powered down, or disconnected.

Solution:

To bring a disk that is Offline and Missing back online

Repair any disk, controller, or cable problems and make sure that the physical disk is turned on, plugged in, and attached to the computer. Next, use the Reactivate Disk command to bring the disk back online. For instructions describing how to reactivate missing or offline disks, see To reactivate a missing or offline dynamic disk.

If the disk status remains Offline and the disk name remains Missing, and you determine that the disk has a problem that cannot be repaired, you can remove the disk from the system (right-click the disk and then click Remove Disk). However, before you can remove the disk, you must delete all volumes (or mirrors) on the disk. You can save any mirrored volumes on the disk by removing the mirror instead of the entire volume. Deleting a volume destroys the data in the volume, so you should remove a disk only if you are absolutely certain that the disk is permanently damaged and unusable.

To bring a disk that is Offline and is still named Disk # (not Missing) back online

In Disk Management, right-click the disk and then click Reactivate Disk to bring the disk back online. If the disk status remains Offline, check the cables and disk controller, and make sure that the physical disk is healthy. Correct any problems and try to reactivate the disk again. If the disk reactivation succeeds, any volumes on the disk should automatically return to the Healthy status.

For more information about disk status descriptions, see Disk status descriptions.

A basic or dynamic volume's status is Failed.

Cause:

The basic or dynamic volume cannot be started automatically, the disk is damaged, or the file system is corrupt. Unless the disk or file system can be repaired, the Failed status indicates data loss.

Solution:

If the volume is a basic volume with Failed status, make sure that the underlying physical disk is turned on, plugged in, and attached to the computer. No other user action is possible for basic volumes.

If the volume is a dynamic volume with Failed status, make sure the underlying disks are online. If not, return the disks to the Online status. If this succeeds, the volume automatically restarts and returns to the Healthy status. For instructions describing how to bring a disk online, see To reactivate a missing or offline dynamic disk.

If the dynamic disk returns to the Online status, but the dynamic volume does not return to the Healthy status, you can reactivate the volume manually. For instructions describing how to reactivate a volume, see To reactivate a dynamic volume.

If the dynamic volume is a mirrored or RAID-5 volume with old data, bringing the underlying disk online will not automatically restart the volume. If the disks that contain current data are disconnected, you should bring those disks online first (to allow the data to become synchronized). Otherwise, restart the mirrored or RAID-5 volume manually, and then run Chkdsk.exe.

For instructions describing how to reactivate a volume, see To reactivate a dynamic volume. To run Chkdsk.exe, click Start, click Run, type chkdsk, and then click OK.

For more information about volume status descriptions, see Volume status descriptions.

A basic or dynamic volume's status is Unknown.

Cause:

The Unknown status occurs when the boot sector for the volume is corrupted (possibly due to a virus) and you can no longer access data on the volume. The Unknown status also occurs when you install a new disk but do not follow the wizard to create a disk signature.

Solution:

Initialize the disk. For instructions describing how to initialize a disk, see To initialize new disks.

For more information about volume status descriptions, see Volume status descriptions.

A dynamic volume's status is Data Incomplete.

Cause:

You moved some but not all of the disks in a multidisk volume. Data on this volume will be destroyed unless you move the remaining disks that contain this volume, and then import all of the disks at the same time. You cannot import the missing disks at a later time to restore the data.

Solution:

Move all of the disks that comprise the multidisk volume to the computer and then import the disks. For instructions describing how to move and import disks, see To move disks to another computer.

For more information about volume status descriptions, see Volume status descriptions.

A dynamic volume's status is Healthy (At Risk).

Cause:

Indicates that the dynamic volume is currently accessible, but I/O errors have been detected on the underlying dynamic disk. If an I/O error is detected on any part of a dynamic disk, all volumes on the disk display the Healthy (At Risk) status and a warning icon appears on the volume.

When the volume status is Healthy (At Risk), an underlying disk's status is usually Online (Errors).

Solution:

Return the underlying disk to the Online status. Once the disk is returned to Online status, the volume should return to the Healthy status. If the Healthy (At Risk) status persists, the disk might be failing. Back up the data and replace the disk as soon as possible. For instructions describing how to bring the disk back online, see To reactivate a missing or offline dynamic disk.

For more information about volume status descriptions, see Volume status descriptions.

A mirrored volume's status is Data Not Redundant.

Cause:

One half, but not both halves, of a mirrored volume was imported. In Disk Management, the imported half of the mirrored volume receives Failed Redundancy status, while the disk that holds the half of the mirror that was not imported receives Missing status. You can import the Missing disk at a later time to restore redundancy.

Solution:

Move all disks that span this volume to the new computer at the same time, and then import all of the disks together. For instructions describing how to move and import disks, see To move disks to another computer.

If you no longer require a mirrored volume, you can break the mirror and retain the imported half of the mirror as a simple volume. Right-click the mirrored volume with Failed Redundancy status and then click Remove Mirror. In the Remove Mirror dialog box, click the disk with Missing status and then click Remove Mirror. The imported half of the mirror with Failed Redundancy status becomes a simple volume with Healthy status.

For more information about volume status descriptions, see Volume status descriptions.

For more information about disk status descriptions, see Disk status descriptions.

A mirrored volume's status is Failed Redundancy.

Cause:

One or both of the members of the mirrored volume has failed, and the volume is no longer fault tolerant. To avoid data loss, you should attempt to repair the volume as soon as possible.

Solution:

If the dynamic disk's status is Offline or Missing (it cannot be accessed at all), an icon (X) appears in the graphical view of the Missing or Offline disk. For instructions describing how to repair the mirrored volume, see To reconnect the disk and repair the mirrored volume.

If the disk's status is Online (Errors), an icon (!) appears in the graphical view of the disk. For instructions describing how to reactivate the disk, see To reactivate a mirrored volume.

For more information about volume status descriptions, see Volume status descriptions.

For more information about disk status descriptions, see Disk status descriptions.

A mirrored volume's status is Stale Data.

Cause:

If you attempt to import disks that contain a mirrored volume, but one of the volumes on the disks contains stale mirror information, the status Stale Data appears in the Import Foreign Disks dialog box. This problem can occur when the volumes on the disks you moved had a status other than Healthy before you moved them.

Solution:

Move the disks back to the computer that they came from. In Disk Management, click Action, and then click Rescan Disks; or restart the computer to make sure all of the disks are installed correctly.

If the volume showed the Failed Redundancy status before the disks were moved, the volume will still show the Failed Redundancy status when the disks are moved back. Make sure that the status of the disk with stale mirror information is not Offline. If the status is Offline, check for any hardware problems, reconnect the disk if necessary, and then bring the disk back online. For instructions describing how to bring a mirrored volume back online, see To reactivate a mirrored volume.

If the volume still shows the Failed Redundancy status, reactivate the volume. Disk Management will attempt to bring the volume back online. You will see a warning message indicating that Disk Management might not be able to bring back all of the data on the volume. For instructions describing how to reactivate a volume, see To reactivate a dynamic volume.

If Disk Management successfully brings the volumes back online, the status of the volume becomes Healthy and any mirrored volumes on the disk will be resynchronized. Now you can move all of the disks that contain this volume to another computer. However, if you move all but one of the disks, then the volume will show the Data Not Redundant status in the Import Foreign Disk dialog box. You should attach the missing disks and import all of the disks at the same time.

For more information about volume status descriptions, see Volume status descriptions.

For more information about disk status descriptions, see Disk status descriptions.

A RAID-5 volume's status is Data Not Redundant.

Cause:

You moved some but not all of the disks in a RAID-5 volume. You cannot import the missing disks at a later time to restore redundancy. If you choose to import only some of the disks, the RAID-5 volume receives the Failed Redundancy status.

Solution:

Move all disks that comprise this volume to the new computer at the same time, and then import all of the disks together. For instructions describing how to move and import disks, see To move disks to another computer.

For more information about volume status descriptions, see Volume status descriptions.

A RAID-5 volume's status is Failed Redundancy.

Cause:

One or all of the members of the RAID-5 volume has failed and the volume is no longer fault tolerant. To avoid data loss, you should attempt to repair the volume as soon as possible.

Solution:

If the dynamic disk's status is Offline or Missing (it can not be accessed at all), an icon (X) appears in the graphical view of the Missing or Offline disk. For instructions describing how to repair a RAID-5 volume, see To reconnect the disk and repair the RAID-5 volume.

If the disk's status is Online (Errors), an icon (!) appears in the graphical view of the partially failed disk. For instructions describing how to reactivate the disk, see To reactivate a RAID-5 disk.

For more information about volume status descriptions, see Volume status descriptions.

For more information about disk status descriptions, see Disk status descriptions.

A RAID-5 volume's status is Stale Data.

Cause:

If you attempt to import disks that contain a RAID-5 volume, but one of the volumes on the disks contains stale parity information, the status Stale Data appears in the Import Foreign Disks dialog box. This problem can occur when the volumes on the disks you moved had a status other than Healthy before you moved them.

Solution:

Move the disks back to the computer that they came from. In Disk Management, click Action, and then click Rescan Disks; or restart the computer to make sure all of the disks are installed correctly.

If the volume showed the Failed Redundancy status before the disks were moved, the volume will still show the Failed Redundancy status when the disks are moved back. Make sure that the status of the disk that contained the stale parity information is not Offline. If the status is Offline, check for any hardware problems, reconnect the disk if necessary, and then bring the disk back online. For instructions describing how to bring a RAID-5 volume back online, see To reactivate a RAID-5 disk.

If the volume still shows the Failed Redundancy status, reactivate the volume. Disk Management will attempt to bring the volume back online. You will see a warning message indicating that Disk Management might not be able to bring back all of the data on the volume. For instructions describing how to reactivate a volume, see To reactivate a dynamic volume.

If Disk Management successfully brings the volumes back online, the status of the volume becomes Healthy and any RAID-5 volumes will regenerate parity. Now you can move all of the disks that contain this volume to another computer. However, if you move all but one of the disks, then the volume will show the Data Not Redundant status in the Import Foreign Disk dialog box. You should attach the missing disks and import all of the disks at the same time.

For more information about volume status descriptions, see Volume status descriptions.

For more information about disk status descriptions, see Disk status descriptions.